--- a/build.xml
+++ b/build.xml
@@ -1,464 +1,23 @@
 <?xml version="1.0" encoding="UTF-8"?>
 
-<project basedir="." default="jar" name="JRuby">
-    <description>JRuby is a Java implementation of a Ruby runtime.</description>
+<!-- ====================================================================== -->
+<!-- Ant build file (http://ant.apache.org/) for Ant 1.6.2 or above.        -->
+<!-- ====================================================================== -->
 
-    <!-- First try to load machine-specific properties. -->
-    <property file="build.properties"/>
+<project name="jruby-parent" default="package" basedir=".">
 
-    <!-- Then set defaults for any values not set by build.properties -->
-    <property file="default.build.properties"/>
+  <!-- ====================================================================== -->
+  <!-- Import maven-build.xml into the current project                        -->
+  <!-- ====================================================================== -->
 
-    <patternset id="java.src.pattern">
-        <include name="**/*.java"/>
-        <exclude unless="sun-misc-signal" name="**/SunSignalFacade.java"/>
-    </patternset>
+  <import file="maven-build.xml"/>
+  
+  <!-- ====================================================================== -->
+  <!-- Help target                                                            -->
+  <!-- ====================================================================== -->
 
-    <import file="netbeans-ant.xml" optional="true"/>
-    <import file="ivy/build.xml"/>
-    <import file="antlib/test.xml"/>
-    <import file="antlib/spec.xml"/>
-    <import file="antlib/util.xml"/>
+  <target name="help">
+    <echo message="Please run: $ant -projecthelp"/>
+  </target>
 
-    <condition property="dev.null" value="/dev/null">
-        <os family="unix"/>
-    </condition>
-    <condition property="dev.null" value="NUL">
-        <os family="windows"/>
-    </condition>
-    <condition property="dev.null" value="dev_null">
-        <not>
-            <or>
-                <os family="unix"/>
-                <os family="windows"/>
-            </or>
-        </not>
-    </condition>
-
-    <!-- test launching: force encoding to UTF-8 because of stupid Macroman on OS X -->
-    <condition property="test.sysprops.set" value="test.sysprops.mac">
-        <equals arg1="${java.vendor}" arg2="Apple Inc."/>
-    </condition>
-    <condition property="test.sysprops.set" value="test.sysprops.other">
-        <not>
-            <equals arg1="${java.vendor}" arg2="Apple Inc."/>
-        </not>
-    </condition>
-    <property name="mac.file.encoding" value="UTF-8"/>
-    <propertyset id="test.sysprops.mac">
-        <propertyref name="mac.file.encoding"/>
-    </propertyset>
-    <propertyset id="test.sysprops.other">
-    </propertyset>
-    <propertyset id="test.sysproperties">
-        <propertyset refid="${test.sysprops.set}"/>
-        <mapper type="glob" from="mac.*" to="*"/>
-    </propertyset>
-
-    <!-- if ruby.home is not set, use env var -->
-    <condition property="ruby.home" value="${env.RUBY_HOME}">
-        <not>
-            <isset property="ruby.home"/>
-        </not>
-    </condition>
-    <condition property="is.windows" value="true">
-        <os family="windows"/>
-    </condition>
-
-    <tstamp>
-        <format property="build.date" pattern="yyyy-MM-dd"/>
-    </tstamp>
-    <property environment="env"/>
-
-    <!-- Use JAVA_OPTS env var if set, -ea (supported by all JVMs) otherwise -->
-    <condition property="java.opts" value="${env.JAVA_OPTS}">
-        <isset property="env.JAVA_OPTS"/>
-    </condition>
-    <condition property="java.opts" value="-ea">
-        <not>
-            <isset property="java.opts"/>
-        </not>
-    </condition>
-
-    <!-- sets up a "make" command from ENV, if available -->
-    <condition property="make.cmd" value="${env.MAKE}">
-        <isset property="env.MAKE"/>
-    </condition>
-    <condition property="make.cmd" value="make">
-        <not>
-            <isset property="make.cmd"/>
-        </not>
-    </condition>
-
-    <property name="version.ruby" value="${version.ruby.major}.${version.ruby.minor}"/>
-
-    <!-- Initializes the build -->
-    <target name="init" unless="init.hasrun">
-
-        <!-- set appropriate spec tag filter if on windows -->
-        <condition property="spec.windows.flag" value="-g windows">
-            <os family="windows"/>
-        </condition>
-
-        <!-- if bin/jruby does not exist, copy from bin/jruby.bash -->
-        <condition property="prepare-bin-jruby.hasrun" value="true">
-            <available file="bin/jruby"/>
-        </condition>
-        <antcall target="prepare-bin-jruby"/>
-
-        <!-- Checks if specific libs and versions are avaiable -->
-        <available property="sun-misc-signal"
-                   classname="sun.misc.Signal"/>
-
-        <property name="init.hasrun" value="true"/>
-
-    </target>
-
-    <!-- Prepares a bin/jruby executable from bin/jruby.bash -->
-    <target name="prepare-bin-jruby" unless="prepare-bin-jruby.hasrun">
-        <exec executable="/bin/sh" osfamily="unix">
-            <arg line="-c 'test -f &quot;${basedir}/bin/jruby&quot; || cp &quot;${basedir}/bin/jruby.bash&quot; &quot;${basedir}/bin/jruby&quot;'"/>
-        </exec>
-        <chmod perm="755" file="bin/jruby"/>
-    </target>
-
-    <!-- Creates the directories needed for building -->
-    <target name="prepare" depends="init, create-dirs, copy-resources">
-    </target>
-
-    <target name="create-dirs" unless="create-dirs.hasrun">
-        <mkdir dir="${build.dir}"/>
-        <mkdir dir="${classes.dir}"/>
-        <mkdir dir="${jruby.classes.dir}"/>
-        <mkdir dir="${test.classes.dir}"/>
-        <mkdir dir="${test.results.dir}"/>
-        <mkdir dir="${html.test.results.dir}"/>
-        <mkdir dir="${docs.dir}"/>
-        <mkdir dir="${api.docs.dir}"/>
-        <property name="create-dirs.hasrun" value="true"/>
-    </target>
-
-    <target name="copy-resources" unless="copy-resources.hasrun">
-        <copy todir="${jruby.classes.dir}" preservelastmodified="true">
-            <fileset dir="${src.dir}">
-                <include name="**/*.rb"/>
-            </fileset>
-        </copy>
-        <property name="copy-resources.hasrun" value="true"/>
-    </target>
-
-    <target name="jar-jruby-dist" depends="jar-jruby">
-        <antcall target="_osgify-jar_">
-            <param name="bndfile" value="jruby.bnd"/>
-            <param name="jar.wrap" value="${lib.dir}/jruby.jar"/>
-            <param name="bar.wrap" value="${lib.dir}/jruby.bar"/>
-        </antcall>
-    </target>
-
-    <!-- Use Bnd to wrap the JAR generated by in above task -->
-    <target name="_osgify-jar_">
-        <filter token="JRUBY_VERSION" value="${version.jruby}"/>
-        <copy file="jruby.bnd.template" tofile="${build.dir}/${bndfile}" filtering="true"/>
-        <taskdef resource="aQute/bnd/ant/taskdef.properties"
-                 classpath="target/bnd.jar"/>
-        <bndwrap definitions="${build.dir}" output="${dest.lib.dir}">
-            <fileset file="${jar.wrap}"/>
-        </bndwrap>
-        <move file="${bar.wrap}" tofile="${jar.wrap}"
-              overwrite="true"/>
-    </target>
-
-    <target name="jar-jruby-stdlib" depends="copy-resources, compile" unless="jar-jruby-stdlib.hasrun"
-            description="Create the 'sdtlib' JRuby jar. Pass 'filename' to adjust.">
-        <property name="mainclass" value="org.jruby.Main"/>
-        <property name="filename" value="jruby-stdlib.jar"/>
-        <property name="bilename" value="jruby-stdlib.bar"/>
-        <property name="jar-stdlib-home" value="${build.dir}/jar-stdlib/META-INF/jruby.home"/>
-        <mkdir dir="${jar-stdlib-home}"/>
-        <copy todir="${jar-stdlib-home}">
-            <fileset dir="${basedir}">
-                <patternset refid="dist.bindir.files"/>
-                <patternset refid="dist.lib.files"/>
-            </fileset>
-        </copy>
-
-        <java classname="${mainclass}" fork="true" maxmemory="${jruby.launch.memory}" failonerror="true">
-            <classpath>
-                <pathelement location="lib/jruby.jar"/>
-                <pathelement location="${build.dir}/jar-stdlib"/>
-            </classpath>
-            <sysproperty key="jruby.home" value="${jar-stdlib-home}"/>
-            <env key="RUBYOPT" value=""/>
-            <env key="GEM_HOME" value="${basedir}${jar-stdlib-home}/lib/ruby/gems/shared"/>
-            <jvmarg line="${java.opts}"/>
-            <arg line="-S gem install --no-ri --no-rdoc --ignore-dependencies --env-shebang --local ${complete.jar.gems}"/>
-        </java>
-        <delete dir="${jar-stdlib-home}/lib/ruby/gems/shared/cache"/>
-
-        <jar destfile="${dest.lib.dir}/${filename}">
-            <fileset dir="${build.dir}/jar-stdlib"/>
-            <manifest>
-                <attribute name="Built-By" value="${user.name}"/>
-            </manifest>
-        </jar>
-        <antcall target="_osgify-jar_">
-            <param name="bndfile" value="jruby-stdlib.bnd"/>
-            <param name="jar.wrap" value="${dest.lib.dir}/${filename}"/>
-            <param name="bar.wrap" value="${dest.lib.dir}/${bilename}"/>
-        </antcall>
-
-        <property name="jar-jruby-stdlib.hasrun" value="true"/>
-    </target>
-
-    <target name="jar-jruby-complete" depends="jar-jruby" unless="jar-jruby-complete.hasrun"
-            description="Create the 'complete' JRuby jar. Pass 'mainclass' and 'filename' to adjust.">
-        <property name="mainclass" value="org.jruby.Main"/>
-        <property name="filename" value="jruby-complete.jar"/>
-        <property name="bilename" value="jruby-complete.bar"/>
-        <property name="jar-complete-home" value="${build.dir}/jar-complete/META-INF/jruby.home"/>
-        <mkdir dir="${jar-complete-home}"/>
-        <copy todir="${jar-complete-home}">
-            <fileset dir="${basedir}">
-                <patternset refid="dist.bindir.files"/>
-                <patternset refid="dist.lib.files"/>
-            </fileset>
-        </copy>
-
-        <copy todir="${build.dir}/jar-complete/cext">
-            <fileset dir="${lib.dir}">
-                <patternset refid="dist.jruby-cext-native.files"/>
-            </fileset>
-        </copy>
-
-        <java classname="${mainclass}" fork="true" maxmemory="${jruby.launch.memory}" failonerror="true">
-            <classpath>
-                <pathelement location="lib/jruby.jar"/>
-                <pathelement location="${build.dir}/jar-complete"/>
-            </classpath>
-            <sysproperty key="jruby.home" value="${jar-complete-home}"/>
-            <env key="RUBYOPT" value=""/>
-            <env key="GEM_HOME" value="${basedir}/${jar-complete-home}/lib/ruby/gems/shared"/>
-            <jvmarg line="${java.opts}"/>
-            <arg line="-S gem install --no-ri --no-rdoc --ignore-dependencies --env-shebang ${complete.jar.gems}"/>
-        </java>
-        <delete dir="${jar-complete-home}/lib/ruby/gems/shared/cache"/>
-
-        <jar destfile="${dest.lib.dir}/${filename}">
-            <zipfileset src="lib/jruby.jar"/>
-            <fileset dir="${build.dir}/jar-complete"/>
-            
-            <manifest>
-                <attribute name="Built-By" value="${user.name}"/>
-                <attribute name="Main-Class" value="${mainclass}"/>
-            </manifest>
-        </jar>
-        <antcall target="_osgify-jar_">
-            <param name="bndfile" value="jruby-complete.bnd"/>
-            <param name="jar.wrap" value="${dest.lib.dir}/${filename}"/>
-            <param name="bar.wrap" value="${dest.lib.dir}/${bilename}"/>
-        </antcall>
-
-        <property name="jar-jruby-complete.hasrun" value="true"/>
-    </target>
-
-    <target name="jar-console" depends="jar-jruby-complete" description="Create the jruby graphical console jar">
-        
-        <!-- roll the readline and jline jars into jruby-console.jar -->
-        <jar destfile="lib/jruby-console.jar" update="true" compress="true">
-            <manifest>
-                <attribute name="Main-Class" value="org.jruby.demo.readline.IRBConsole"/>
-            </manifest>
-            <zipfileset src="${lib.dir}/jruby-complete.jar"/>
-            <zipfileset src="${lib.dir}/ruby/shared/readline/readline.jar"/>
-            <zipfileset src="${build.lib.dir}/jline-${jline.version}.jar"/>
-        </jar>
-    </target>
-
-    <target name="jar" depends="init" description="Create the jruby.jar file. Used during dev.">
-        <antcall target="jar-jruby" inheritall="true"/>
-    </target>
-
-    <target name="jar-dist" depends="init"
-            description="Create the jruby.jar file for distribution.">
-        <antcall target="jar-jruby-dist" inheritall="true"/>
-    </target>
-    <target name="jar-stdlib" depends="init" description="Create the jruby-stdlib.jar file.">
-        <antcall target="jar-jruby-stdlib" inheritall="true"/>
-    </target>
-    <target name="jar-complete" depends="init"
-            description="Create the jruby-complete.jar file.">
-        <antcall target="jar-jruby-complete" inheritall="true"/>
-    </target>
-    <target name="jar-no-encryption-complete" depends="init"
-            description="Create the jruby-complete.jar file just like jar-complete, but refrains from including anything with encryption algorithms">
-        <property name="exclude_openssl" value="true"/>
-        <antcall target="jar-jruby-complete" inheritall="true"/>
-    </target>
-    <target name="compile-stdlib" unless="test">
-        <mkdir dir="${build.dir}/stdlib"/>
-        <echo message="Compiling 1.8 stdlib..."/>
-        <java classname="org.jruby.Main" fork="true" maxmemory="${jruby.launch.memory}" failonerror="true">
-            <classpath path="lib/jruby.jar"/>
-            <sysproperty key="jruby.home" value="${basedir}"/>
-            <jvmarg line="-ea ${java.opts}"/>
-            <arg line="--1.8 -I bin/ -S jrubyc --target ${build.dir}/stdlib lib/ruby/1.8"/>
-        </java>
-        <echo message="Compiling 1.9 stdlib..."/>
-        <java classname="org.jruby.Main" fork="true" maxmemory="${jruby.launch.memory}" failonerror="true">
-            <classpath path="lib/jruby.jar"/>
-            <sysproperty key="jruby.home" value="${basedir}"/>
-            <jvmarg line="-ea ${java.opts}"/>
-            <arg line="--1.9 -I bin/ -S jrubyc --target ${build.dir}/stdlib lib/ruby/1.9"/>
-        </java>
-    </target>
-
-    <target name="bootstrap">
-        <exec executable="mvn">
-            <arg line="-q -Pbootstrap"/>
-        </exec>
-    </target>
-
-    <target name="apidocs" depends="prepare"
-            description="Creates the Java API docs">
-        <!-- Run the package_docs.rb script to generate package.html files -->
-        <java classname="org.jruby.Main" fork="true" maxmemory="${jruby.launch.memory}" failonerror="true"
-              dir="${basedir}">
-            <classpath path="lib/jruby.jar"/>
-
-            <sysproperty key="jruby.home" value="${basedir}"/>
-
-            <arg line="tool/package_docs.rb"/>
-        </java>
-
-        <javadoc destdir="${api.docs.dir}" author="true" version="true" use="true"
-                 windowtitle="JRuby API" source="${javac.version}" useexternalfile="true"
-                 encoding="UTF-8" maxmemory="256m">
-            <fileset dir="${src.dir}">
-                <include name="**/*.java"/>
-            </fileset>
-            <arg value="-J-Dfile.encoding=UTF-8"/>
-            <classpath path="lib/jruby.jar"/>
-            <doctitle><![CDATA[<h1>JRuby</h1>]]></doctitle>
-            <bottom><![CDATA[<i>Copyright &#169; 2002-2009 JRuby Team. All Rights Reserved.</i>]]></bottom>
-        </javadoc>
-    </target>
-
-    <target name="installer">
-        <rake task="installer"/>
-    </target>
-
-    <target name="clean" depends="init" description="Cleans almost everything, leaves downloaded specs">
-        <delete dir="${build.dir}"/>
-        <delete dir="${dist.dir}"/>
-        <delete quiet="false">
-            <fileset dir="${lib.dir}" includes="jruby*.jar"/>
-        </delete>
-        <delete dir="${api.docs.dir}"/>
-        <delete dir="build/src_gen"/>
-        <antcall target="clean-ng"/>
-        <exec executable="mvn">
-          <arg line="-q"/>
-          <arg line="clean"/>
-        </exec>
-    </target>
-
-    <property name="nailgun.home" value="tool/nailgun"/>
-
-    <target name="need-ng">
-        <condition property="should.build.ng">
-            <and>
-                <os family="unix"/>
-                <not>
-                    <available file="${nailgun.home}/ng"/>
-                </not>
-            </and>
-        </condition>
-    </target>
-
-    <target name="build-ng" depends="need-ng" if="should.build.ng">
-        <echo message="Configuring ng client in ${nailgun.home}"/>
-        <exec executable="./configure" osfamily="unix" dir="${nailgun.home}" failonerror="true" output="${dev.null}"/>
-        <echo message="Building ng client in ${nailgun.home}"/>
-        <exec executable="${make.cmd}" osfamily="unix" dir="${nailgun.home}" output="${dev.null}"/>
-    </target>
-
-    <target name="need-clean-ng">
-        <condition property="should-clean-ng">
-            <and>
-                <os family="unix"/>
-                <available file="${nailgun.home}/Makefile"/>
-                <available file="${nailgun.home}/ng"/>
-            </and>
-        </condition>
-    </target>
-
-    <target name="clean-ng" depends="need-clean-ng" if="should-clean-ng">
-        <exec executable="${make.cmd}" dir="${nailgun.home}" osfamily="unix" failifexecutionfails="false"
-              output="${dev.null}">
-            <arg value="clean"/>
-        </exec>
-    </target>
-
-    <target name="jruby-nailgun" depends="compile, build-ng"
-            description="Set up JRuby to be run with Nailgun (jruby-ng, jruby-ng-server)">
-        <mkdir dir="${build.dir}/nailmain"/>
-    </target>
-
-    <property name="jruby-cext-native.home" value="cext/src/"/>
-
-    <target name="build-jruby-cext-native" depends="jar"
-            description="Build JRuby cext support">
-        <exec osfamily="unix" executable="${make.cmd}" dir="${jruby-cext-native.home}" failonerror="true">
-            <arg value="JAVA_HOME=&quot;${java.home}&quot;"/>
-        </exec>
-        <exec osfamily="windows" executable="cmd" dir="${jruby-cext-native.home}" failonerror="true">
-            <arg line='/c sh -c "${make.cmd} CC=gcc JAVA_HOME=${java.home}"'/>
-        </exec>
-    </target>
-
-    <target name="clean-jruby-cext-native" depends="compile"
-            description="Build JRuby cext support">
-        <exec osfamily="unix" executable="${make.cmd}" dir="${jruby-cext-native.home}" failonerror="true">
-            <arg value="dist-clean"/>
-        </exec>
-        <exec osfamily="windows" executable="cmd" dir="${jruby-cext-native.home}" failonerror="true">
-            <arg line='/c sh -c "${make.cmd} dist-clean"'/>
-        </exec>
-    </target>
-
-    <target name="cext" depends="build-jruby-cext-native"/>
-
-    <target name="bench-language" depends="jar">
-        <rake task="bench:language"/>
-    </target>
-
-    <target name="ci-matrix" depends="clean,jar" description="Run a matrix configuration job from Hudson.">
-        <property name="testtype" value="test"/>
-        <echo>Running ${testtype} build with JDK ${jdk}</echo>
-        <antcall target="${testtype}"/>
-    </target>
-    
-    <!--
-    ***************************************************************************
-    Targets below this line are now handled by maven, and should not be edited.
-    ***************************************************************************
-    -->
-
-    <target name="jar-jruby" depends="init" unless="jar-up-to-date, jar-jruby.hasrun">
-        <exec executable="mvn" failonerror="true">
-            <arg line="-q"/>
-            <arg line="-Ptest"/>
-            <arg line="-DskipTests"/>
-            <arg line="package"/>
-        </exec>
-
-        <property name="jar-jruby.hasrun" value="true"/>
-    </target>
-
-    <target name="compile" description="Compile the source files for the project.">
-        <exec executable="mvn" failonerror="true">
-          <arg line="-q"/>
-          <arg line="compile"/>
-        </exec>
-    </target>
 </project>
--- /dev/null
+++ b/core/build.xml
@@ -0,0 +1,23 @@
+<?xml version="1.0" encoding="UTF-8"?>
+
+<!-- ====================================================================== -->
+<!-- Ant build file (http://ant.apache.org/) for Ant 1.6.2 or above.        -->
+<!-- ====================================================================== -->
+
+<project name="jruby-core" default="package" basedir=".">
+
+  <!-- ====================================================================== -->
+  <!-- Import maven-build.xml into the current project                        -->
+  <!-- ====================================================================== -->
+
+  <import file="maven-build.xml"/>
+  
+  <!-- ====================================================================== -->
+  <!-- Help target                                                            -->
+  <!-- ====================================================================== -->
+
+  <target name="help">
+    <echo message="Please run: $ant -projecthelp"/>
+  </target>
+
+</project>
--- /dev/null
+++ b/core/maven-build.properties
@@ -0,0 +1,73 @@
+#Generated by Maven Ant Plugin - DO NOT EDIT THIS FILE!
+#Mon Apr 21 23:39:38 CEST 2014
+maven.build.testDir.0=src/test/java
+version.ruby=1.8.7
+bc.version=1.5.0147
+rspec-mocks.version=2.14.1
+jffi.version=1.2.7
+maven.settings.offline=false
+ant.version=1.9.2
+jopenssl.version=0.9.3
+version.ruby2_0.revision=40734
+base.javac.version=1.6
+version.ruby2_0.patchlevel=195
+unsafe.jar=${settings.localRepository}/com/headius/unsafe-mock/8.0/unsafe-mock-8.0.jar
+maven.settings.interactiveMode=true
+maven.build.timestamp.format=yyyy-MM-dd
+asm.version=4.0
+version.jruby=1.7.12
+minitest.version=5.0.7
+jruby.test.memory.permgen=512M
+maven.reporting.outputDirectory=${maven.build.dir}/site
+version.ruby1_9.patchlevel=3922
+version.ruby.minor=7
+tzdata.version=2013d
+tzdata.jar.version=2013d
+project.build.sourceEncoding=utf-8
+version.ruby2_0=2.0.0
+version.ruby.patchlevel=370
+maven.build.testOutputDir=${maven.build.dir}/test-classes
+version.ruby1_9=1.9.3
+maven.build.finalName=jruby-core-1.7.12
+maven.test.skip=true
+rspec-expectations.version=2.14.0
+rspec.version=2.14.1
+jruby.compile.memory=512M
+maven.test.reports=${maven.build.dir}/test-reports
+krypt.version=0.0.2.rc1
+version.ruby.major=1.8
+version.ruby1_9.major=1.9
+version.ruby1_9.revision=39386
+minitest-excludes.version=1.0.2
+base.java.version=1.6
+maven.repo.local=${user.home}/.m2/repository
+maven.build.dir=target
+rake.version=10.1.0
+maven.build.outputDir=${maven.build.dir}/classes
+jruby.basedir=/var/tmp/portage/dev-java/jruby-1.7.12/work/jruby-1.7.12/core/..
+maven.build.resourceDir.2=src/main/resources
+project.build.directory=${maven.build.dir}
+maven.build.resourceDir.1=src/main/resources
+build.date=2014-04-21
+jruby.test.memory=1024M
+maven.build.resourceDir.0=src/main/ruby
+main.basedir=${project.parent.basedir}
+tzdata.scope=provided
+github.global.server=github
+diff-lcs.version=1.1.3
+jruby.plugins.version=1.0.0-rc4
+maven.build.srcDir.0=src/main/java
+json.version=1.8.0
+rspec-core.version=2.14.2
+anno.sources=/var/tmp/portage/dev-java/jruby-1.7.12/work/jruby-1.7.12/core/target/generated-sources
+rdoc.version=4.0.1
+maven.build.testResourceDir.0=src/test/resources
+bundle.name=JRuby Core
+bundle.symbolic_name=org.jruby.jruby-core
+sonatypeOssDistMgmtSnapshotsUrl=https\://oss.sonatype.org/content/repositories/snapshots/
+bouncy-castle.version=1.47
+version.ruby2_0.major=2.0
+joda.time.version=2.3
+project.build.outputDirectory=${maven.build.outputDir}
+jruby-launcher.version=1.0.19
+Constants.java=org/jruby/runtime/Constants.java
--- /dev/null
+++ b/core/maven-build.xml
@@ -0,0 +1,793 @@
+<?xml version="1.0" encoding="UTF-8"?>
+
+<!-- ====================================================================== -->
+<!-- Ant build file (http://ant.apache.org/) for Ant 1.6.2 or above.        -->
+<!-- ====================================================================== -->
+
+<!-- ====================================================================== -->
+<!-- ===================== - DO NOT EDIT THIS FILE! - ===================== -->
+<!-- ====================================================================== -->
+<!--                                                                        -->
+<!-- Any modifications will be overwritten.                                 -->
+<!--                                                                        -->
+<!-- Generated by Maven Ant Plugin on 4/21/14 11:39 PM                      -->
+<!-- See: http://maven.apache.org/plugins/maven-ant-plugin/                 -->
+<!--                                                                        -->
+<!-- ====================================================================== -->
+
+<project name="jruby-core-from-maven" default="package" basedir=".">
+
+  <!-- ====================================================================== -->
+  <!-- Build environment properties                                           -->
+  <!-- ====================================================================== -->
+
+  <property file="${user.home}/.m2/maven.properties"/>
+  <property file="maven-build.properties"/>
+
+  <property name="maven.build.finalName" value="jruby-core-GENTOO_JRUY_VER"/>
+  <property name="maven.build.dir" value="target"/>
+  <property name="maven.build.outputDir" value="${maven.build.dir}/classes"/>
+  <property name="maven.build.srcDir.0" value="src/main/java"/>
+  <property name="maven.build.resourceDir.0" value="src/main/ruby"/>
+  <property name="maven.build.resourceDir.1" value="src/main/resources"/>
+  <property name="maven.build.resourceDir.2" value="src/main/resources"/>
+  <property name="maven.build.testOutputDir" value="${maven.build.dir}/test-classes"/>
+  <property name="maven.build.testDir.0" value="src/test/java"/>
+  <property name="maven.build.testResourceDir.0" value="src/test/resources"/>
+  <property name="maven.test.reports" value="${maven.build.dir}/test-reports"/>
+  <property name="maven.reporting.outputDirectory" value="${maven.build.dir}/site"/>
+
+  <property name="maven.repo.local" value="${user.home}/.m2/repository"/>
+  <property name="maven.settings.offline" value="false"/>
+  <property name="maven.settings.interactiveMode" value="true"/>
+
+  <!-- ====================================================================== -->
+  <!-- Defining classpaths                                                    -->
+  <!-- ====================================================================== -->
+
+  <path id="build.classpath">
+    <pathelement location="${maven.repo.local}/org/ow2/asm/asm/4.0/asm-4.0.jar"/>
+    <pathelement location="${maven.repo.local}/org/ow2/asm/asm-commons/4.0/asm-commons-4.0.jar"/>
+    <pathelement location="${maven.repo.local}/org/ow2/asm/asm-tree/4.0/asm-tree-4.0.jar"/>
+    <pathelement location="${maven.repo.local}/org/ow2/asm/asm-analysis/4.0/asm-analysis-4.0.jar"/>
+    <pathelement location="${maven.repo.local}/org/ow2/asm/asm-util/4.0/asm-util-4.0.jar"/>
+    <pathelement location="${maven.repo.local}/org/jruby/joni/joni/2.1.1/joni-2.1.1.jar"/>
+    <pathelement location="${maven.repo.local}/com/github/jnr/jnr-netdb/1.1.2/jnr-netdb-1.1.2.jar"/>
+    <pathelement location="${maven.repo.local}/com/github/jnr/jnr-enxio/0.4/jnr-enxio-0.4.jar"/>
+    <pathelement location="${maven.repo.local}/com/github/jnr/jnr-x86asm/1.0.2/jnr-x86asm-1.0.2.jar"/>
+    <pathelement location="${maven.repo.local}/com/github/jnr/jnr-unixsocket/0.3/jnr-unixsocket-0.3.jar"/>
+    <pathelement location="${maven.repo.local}/com/github/jnr/jnr-posix/3.0.1/jnr-posix-3.0.1.jar"/>
+    <pathelement location="${maven.repo.local}/org/jruby/extras/bytelist/1.0.11/bytelist-1.0.11.jar"/>
+    <pathelement location="${maven.repo.local}/com/github/jnr/jnr-constants/0.8.5/jnr-constants-0.8.5.jar"/>
+    <pathelement location="${maven.repo.local}/org/jruby/jcodings/jcodings/1.0.10/jcodings-1.0.10.jar"/>
+    <pathelement location="${maven.repo.local}/com/github/jnr/jnr-ffi/1.0.7/jnr-ffi-1.0.7.jar"/>
+    <pathelement location="${maven.repo.local}/com/github/jnr/jffi/1.2.7/jffi-1.2.7.jar"/>
+    <pathelement location="${maven.repo.local}/com/github/jnr/jffi/1.2.7/jffi-1.2.7-native.jar"/>
+    <pathelement location="${maven.repo.local}/org/yaml/snakeyaml/1.13/snakeyaml-1.13.jar"/>
+    <pathelement location="${maven.repo.local}/com/jcraft/jzlib/1.1.2/jzlib-1.1.2.jar"/>
+    <pathelement location="${maven.repo.local}/com/headius/invokebinder/1.2/invokebinder-1.2.jar"/>
+    <pathelement location="${maven.repo.local}/org/osgi/org.osgi.core/5.0.0/org.osgi.core-5.0.0.jar"/>
+    <pathelement location="${maven.repo.local}/org/apache/ant/ant/1.9.2/ant-1.9.2.jar"/>
+    <pathelement location="${maven.repo.local}/org/apache/ant/ant-launcher/1.9.2/ant-launcher-1.9.2.jar"/>
+    <pathelement location="${maven.repo.local}/bsf/bsf/2.4.0/bsf-2.4.0.jar"/>
+    <pathelement location="${maven.repo.local}/commons-logging/commons-logging/1.0.4/commons-logging-1.0.4.jar"/>
+    <pathelement location="${maven.repo.local}/com/martiansoftware/nailgun-server/0.9.1/nailgun-server-0.9.1.jar"/>
+    <pathelement location="${maven.repo.local}/com/headius/coro-mock/1.0/coro-mock-1.0.jar"/>
+    <pathelement location="${maven.repo.local}/com/headius/unsafe-mock/8.0/unsafe-mock-8.0.jar"/>
+    <pathelement location="${maven.repo.local}/com/headius/jsr292-mock/1.1/jsr292-mock-1.1.jar"/>
+    <pathelement location="${maven.repo.local}/org/ow2/asm/asm-debug-all/5.0_BETA/asm-debug-all-5.0_BETA.jar"/>
+    <pathelement location="${maven.repo.local}/org/jruby/yecht/1.0/yecht-1.0.jar"/>
+    <pathelement location="${maven.repo.local}/org/jruby/joda-timezones/2013d/joda-timezones-2013d.jar"/>
+    <pathelement location="${maven.repo.local}/joda-time/joda-time/2.3/joda-time-2.3.jar"/>
+    <pathelement location="${maven.repo.local}/com/headius/options/1.1/options-1.1.jar"/>
+  </path>
+  <path id="build.test.classpath">
+    <pathelement location="${maven.repo.local}/junit/junit/4.11/junit-4.11.jar"/>
+    <pathelement location="${maven.repo.local}/org/hamcrest/hamcrest-core/1.3/hamcrest-core-1.3.jar"/>
+    <pathelement location="${maven.repo.local}/org/ow2/asm/asm/4.0/asm-4.0.jar"/>
+    <pathelement location="${maven.repo.local}/org/ow2/asm/asm-commons/4.0/asm-commons-4.0.jar"/>
+    <pathelement location="${maven.repo.local}/org/ow2/asm/asm-tree/4.0/asm-tree-4.0.jar"/>
+    <pathelement location="${maven.repo.local}/org/ow2/asm/asm-analysis/4.0/asm-analysis-4.0.jar"/>
+    <pathelement location="${maven.repo.local}/org/ow2/asm/asm-util/4.0/asm-util-4.0.jar"/>
+    <pathelement location="${maven.repo.local}/org/jruby/joni/joni/2.1.1/joni-2.1.1.jar"/>
+    <pathelement location="${maven.repo.local}/com/github/jnr/jnr-netdb/1.1.2/jnr-netdb-1.1.2.jar"/>
+    <pathelement location="${maven.repo.local}/com/github/jnr/jnr-enxio/0.4/jnr-enxio-0.4.jar"/>
+    <pathelement location="${maven.repo.local}/com/github/jnr/jnr-x86asm/1.0.2/jnr-x86asm-1.0.2.jar"/>
+    <pathelement location="${maven.repo.local}/com/github/jnr/jnr-unixsocket/0.3/jnr-unixsocket-0.3.jar"/>
+    <pathelement location="${maven.repo.local}/com/github/jnr/jnr-posix/3.0.1/jnr-posix-3.0.1.jar"/>
+    <pathelement location="${maven.repo.local}/org/jruby/extras/bytelist/1.0.11/bytelist-1.0.11.jar"/>
+    <pathelement location="${maven.repo.local}/com/github/jnr/jnr-constants/0.8.5/jnr-constants-0.8.5.jar"/>
+    <pathelement location="${maven.repo.local}/org/jruby/jcodings/jcodings/1.0.10/jcodings-1.0.10.jar"/>
+    <pathelement location="${maven.repo.local}/com/github/jnr/jnr-ffi/1.0.7/jnr-ffi-1.0.7.jar"/>
+    <pathelement location="${maven.repo.local}/com/github/jnr/jffi/1.2.7/jffi-1.2.7.jar"/>
+    <pathelement location="${maven.repo.local}/com/github/jnr/jffi/1.2.7/jffi-1.2.7-native.jar"/>
+    <pathelement location="${maven.repo.local}/org/yaml/snakeyaml/1.13/snakeyaml-1.13.jar"/>
+    <pathelement location="${maven.repo.local}/com/jcraft/jzlib/1.1.2/jzlib-1.1.2.jar"/>
+    <pathelement location="${maven.repo.local}/com/headius/invokebinder/1.2/invokebinder-1.2.jar"/>
+    <pathelement location="${maven.repo.local}/org/osgi/org.osgi.core/5.0.0/org.osgi.core-5.0.0.jar"/>
+    <pathelement location="${maven.repo.local}/org/apache/ant/ant/1.9.2/ant-1.9.2.jar"/>
+    <pathelement location="${maven.repo.local}/org/apache/ant/ant-launcher/1.9.2/ant-launcher-1.9.2.jar"/>
+    <pathelement location="${maven.repo.local}/bsf/bsf/2.4.0/bsf-2.4.0.jar"/>
+    <pathelement location="${maven.repo.local}/commons-logging/commons-logging/1.0.4/commons-logging-1.0.4.jar"/>
+    <pathelement location="${maven.repo.local}/com/martiansoftware/nailgun-server/0.9.1/nailgun-server-0.9.1.jar"/>
+    <pathelement location="${maven.repo.local}/com/headius/coro-mock/1.0/coro-mock-1.0.jar"/>
+    <pathelement location="${maven.repo.local}/com/headius/unsafe-mock/8.0/unsafe-mock-8.0.jar"/>
+    <pathelement location="${maven.repo.local}/com/headius/jsr292-mock/1.1/jsr292-mock-1.1.jar"/>
+    <pathelement location="${maven.repo.local}/org/ow2/asm/asm-debug-all/5.0_BETA/asm-debug-all-5.0_BETA.jar"/>
+    <pathelement location="${maven.repo.local}/org/jruby/yecht/1.0/yecht-1.0.jar"/>
+    <pathelement location="${maven.repo.local}/org/jruby/joda-timezones/2013d/joda-timezones-2013d.jar"/>
+    <pathelement location="${maven.repo.local}/joda-time/joda-time/2.3/joda-time-2.3.jar"/>
+    <pathelement location="${maven.repo.local}/com/headius/options/1.1/options-1.1.jar"/>
+  </path>
+
+  <!-- ====================================================================== -->
+  <!-- Cleaning up target                                                     -->
+  <!-- ====================================================================== -->
+
+  <target name="clean" description="Clean the output directory">
+    <delete dir="${maven.build.dir}"/>
+  </target>
+
+  <!-- ====================================================================== -->
+  <!-- Compilation target                                                     -->
+  <!-- ====================================================================== -->
+
+  <target name="compile" depends="get-deps" description="Compile the code">
+    <mkdir dir="${maven.build.outputDir}"/>
+    <javac destdir="${maven.build.outputDir}" 
+           encoding="utf-8" 
+           nowarn="true" 
+           debug="true" 
+           optimize="false" 
+           deprecation="true" 
+           target="1.6" 
+           verbose="true" 
+           fork="true" 
+           source="1.6">
+      <src>
+        <pathelement location="${maven.build.srcDir.0}"/>
+        <pathelement location="${maven.build.resourceDir.1}"/>
+      </src>
+      <classpath refid="build.classpath"/>
+    </javac>
+    <copy todir="${maven.build.outputDir}">
+      <fileset dir="${maven.build.resourceDir.0}">
+        <include name="**/*rb"/>
+      </fileset>
+    </copy>
+    <copy todir="${maven.build.outputDir}">
+      <fileset dir="${maven.build.resourceDir.1}">
+        <include name="META-INF/**/*"/>
+      </fileset>
+    </copy>
+    <mkdir dir="${maven.build.outputDir}//var/tmp/portage/dev-java/jruby-1.7.12/work/jruby-1.7.12/core/src/main/java"/>
+    <copy todir="${maven.build.outputDir}//var/tmp/portage/dev-java/jruby-1.7.12/work/jruby-1.7.12/core/src/main/java">
+      <fileset dir="${maven.build.resourceDir.2}">
+        <include name="org/jruby/runtime/Constants.java"/>
+      </fileset>
+    </copy>
+  </target>
+
+  <!-- ====================================================================== -->
+  <!-- Test-compilation target                                                -->
+  <!-- ====================================================================== -->
+
+  <target name="compile-tests" 
+          depends="compile" 
+          description="Compile the test code" 
+          unless="maven.test.skip">
+    <mkdir dir="${maven.build.testOutputDir}"/>
+    <javac destdir="${maven.build.testOutputDir}" 
+           encoding="utf-8" 
+           nowarn="true" 
+           debug="true" 
+           optimize="false" 
+           deprecation="true" 
+           target="1.6" 
+           verbose="true" 
+           fork="true" 
+           source="1.6">
+      <src>
+        <pathelement location="${maven.build.testDir.0}"/>
+      </src>
+      <classpath>
+        <path refid="build.test.classpath"/>
+        <pathelement location="${maven.build.outputDir}"/>
+      </classpath>
+    </javac>
+  </target>
+
+  <!-- ====================================================================== -->
+  <!-- Run all tests                                                          -->
+  <!-- ====================================================================== -->
+
+  <target name="test" 
+          depends="compile-tests, junit-missing" 
+          unless="junit.skipped" 
+          description="Run the test cases">
+    <mkdir dir="${maven.test.reports}"/>
+    <junit printSummary="yes" haltonerror="true" haltonfailure="true" fork="true" dir=".">
+      <sysproperty key="basedir" value="."/>
+      <formatter type="xml"/>
+      <formatter type="plain" usefile="false"/>
+      <classpath>
+        <path refid="build.test.classpath"/>
+        <pathelement location="${maven.build.outputDir}"/>
+        <pathelement location="${maven.build.testOutputDir}"/>
+      </classpath>
+      <batchtest todir="${maven.test.reports}" unless="test">
+        <fileset dir="${maven.build.testDir.0}">
+          <include name="org/jruby/test/MainTestSuite.java"/>
+          <include name="org/jruby/embed/**/*Test*.java"/>
+          <exclude name="**/*Abstract*Test.java"/>
+        </fileset>
+      </batchtest>
+      <batchtest todir="${maven.test.reports}" if="test">
+        <fileset dir="${maven.build.testDir.0}">
+          <include name="**/${test}.java"/>
+          <exclude name="**/*Abstract*Test.java"/>
+        </fileset>
+      </batchtest>
+    </junit>
+  </target>
+
+  <target name="test-junit-present">
+    <available classname="junit.framework.Test" property="junit.present"/>
+  </target>
+
+  <target name="test-junit-status" 
+          depends="test-junit-present">
+    <condition property="junit.missing">
+      <and>
+        <isfalse value="${junit.present}"/>
+        <isfalse value="${maven.test.skip}"/>
+      </and>
+    </condition>
+    <condition property="junit.skipped">
+      <or>
+        <isfalse value="${junit.present}"/>
+        <istrue value="${maven.test.skip}"/>
+      </or>
+    </condition>
+  </target>
+
+  <target name="junit-missing" 
+          depends="test-junit-status" 
+          if="junit.missing">
+    <echo>=================================== WARNING ===================================</echo>
+    <echo> JUnit is not present in your $ANT_HOME/lib directory. Tests not executed.</echo>
+    <echo>===============================================================================</echo>
+  </target>
+
+  <!-- ====================================================================== -->
+  <!-- Javadoc target                                                         -->
+  <!-- ====================================================================== -->
+
+  <target name="javadoc" description="Generates the Javadoc of the application">
+    <javadoc sourcepath="${maven.build.srcDir.0}" 
+             packagenames="*" 
+             destdir="${maven.reporting.outputDirectory}/apidocs" 
+             access="package" 
+             old="false" 
+             verbose="false" 
+             version="true" 
+             use="true" 
+             author="true" 
+             splitindex="false" 
+             nodeprecated="false" 
+             nodeprecatedlist="false" 
+             notree="false" 
+             noindex="false" 
+             nohelp="false" 
+             nonavbar="false" 
+             serialwarn="false" 
+             charset="ISO-8859-1" 
+             linksource="false" 
+             breakiterator="false" 
+             maxmemory="1g"/>
+  </target>
+
+  <!-- ====================================================================== -->
+  <!-- Package target                                                         -->
+  <!-- ====================================================================== -->
+
+  <target name="package" depends="compile,test" description="Package the application">
+    <jar jarfile="${maven.build.dir}/${maven.build.finalName}.jar" 
+         compress="true" 
+         index="false" 
+         basedir="${maven.build.outputDir}" 
+         excludes="**/package.html"/>
+  </target>
+
+  <!-- ====================================================================== -->
+  <!-- A dummy target for the package named after the type it creates         -->
+  <!-- ====================================================================== -->
+
+  <target name="jar" depends="package" description="Builds the jar for the application"/>
+
+  <!-- ====================================================================== -->
+  <!-- Download dependencies target                                           -->
+  <!-- ====================================================================== -->
+
+  <target name="test-offline">
+    <condition property="maven.mode.offline">
+      <equals arg1="${maven.settings.offline}" arg2="true"/>
+    </condition>
+  </target>
+
+  <target name="get-deps" 
+          depends="test-offline" 
+          description="Download all dependencies" 
+          unless="maven.mode.offline">
+    <mkdir dir="${maven.repo.local}"/>
+    <mkdir dir="${maven.repo.local}/junit/junit/4.11"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//junit/junit/4.11/junit-4.11.jar" 
+         dest="${maven.repo.local}/junit/junit/4.11/junit-4.11.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/junit/junit/4.11/junit-4.11.jar" 
+         dest="${maven.repo.local}/junit/junit/4.11/junit-4.11.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/junit/junit/4.11/junit-4.11.jar" 
+         dest="${maven.repo.local}/junit/junit/4.11/junit-4.11.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/org/hamcrest/hamcrest-core/1.3"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//org/hamcrest/hamcrest-core/1.3/hamcrest-core-1.3.jar" 
+         dest="${maven.repo.local}/org/hamcrest/hamcrest-core/1.3/hamcrest-core-1.3.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/org/hamcrest/hamcrest-core/1.3/hamcrest-core-1.3.jar" 
+         dest="${maven.repo.local}/org/hamcrest/hamcrest-core/1.3/hamcrest-core-1.3.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/org/hamcrest/hamcrest-core/1.3/hamcrest-core-1.3.jar" 
+         dest="${maven.repo.local}/org/hamcrest/hamcrest-core/1.3/hamcrest-core-1.3.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/org/ow2/asm/asm/4.0"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//org/ow2/asm/asm/4.0/asm-4.0.jar" 
+         dest="${maven.repo.local}/org/ow2/asm/asm/4.0/asm-4.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/org/ow2/asm/asm/4.0/asm-4.0.jar" 
+         dest="${maven.repo.local}/org/ow2/asm/asm/4.0/asm-4.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/org/ow2/asm/asm/4.0/asm-4.0.jar" 
+         dest="${maven.repo.local}/org/ow2/asm/asm/4.0/asm-4.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/org/ow2/asm/asm-commons/4.0"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//org/ow2/asm/asm-commons/4.0/asm-commons-4.0.jar" 
+         dest="${maven.repo.local}/org/ow2/asm/asm-commons/4.0/asm-commons-4.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/org/ow2/asm/asm-commons/4.0/asm-commons-4.0.jar" 
+         dest="${maven.repo.local}/org/ow2/asm/asm-commons/4.0/asm-commons-4.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/org/ow2/asm/asm-commons/4.0/asm-commons-4.0.jar" 
+         dest="${maven.repo.local}/org/ow2/asm/asm-commons/4.0/asm-commons-4.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/org/ow2/asm/asm-tree/4.0"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//org/ow2/asm/asm-tree/4.0/asm-tree-4.0.jar" 
+         dest="${maven.repo.local}/org/ow2/asm/asm-tree/4.0/asm-tree-4.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/org/ow2/asm/asm-tree/4.0/asm-tree-4.0.jar" 
+         dest="${maven.repo.local}/org/ow2/asm/asm-tree/4.0/asm-tree-4.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/org/ow2/asm/asm-tree/4.0/asm-tree-4.0.jar" 
+         dest="${maven.repo.local}/org/ow2/asm/asm-tree/4.0/asm-tree-4.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/org/ow2/asm/asm-analysis/4.0"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//org/ow2/asm/asm-analysis/4.0/asm-analysis-4.0.jar" 
+         dest="${maven.repo.local}/org/ow2/asm/asm-analysis/4.0/asm-analysis-4.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/org/ow2/asm/asm-analysis/4.0/asm-analysis-4.0.jar" 
+         dest="${maven.repo.local}/org/ow2/asm/asm-analysis/4.0/asm-analysis-4.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/org/ow2/asm/asm-analysis/4.0/asm-analysis-4.0.jar" 
+         dest="${maven.repo.local}/org/ow2/asm/asm-analysis/4.0/asm-analysis-4.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/org/ow2/asm/asm-util/4.0"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//org/ow2/asm/asm-util/4.0/asm-util-4.0.jar" 
+         dest="${maven.repo.local}/org/ow2/asm/asm-util/4.0/asm-util-4.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/org/ow2/asm/asm-util/4.0/asm-util-4.0.jar" 
+         dest="${maven.repo.local}/org/ow2/asm/asm-util/4.0/asm-util-4.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/org/ow2/asm/asm-util/4.0/asm-util-4.0.jar" 
+         dest="${maven.repo.local}/org/ow2/asm/asm-util/4.0/asm-util-4.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/org/jruby/joni/joni/2.1.1"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//org/jruby/joni/joni/2.1.1/joni-2.1.1.jar" 
+         dest="${maven.repo.local}/org/jruby/joni/joni/2.1.1/joni-2.1.1.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/org/jruby/joni/joni/2.1.1/joni-2.1.1.jar" 
+         dest="${maven.repo.local}/org/jruby/joni/joni/2.1.1/joni-2.1.1.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/org/jruby/joni/joni/2.1.1/joni-2.1.1.jar" 
+         dest="${maven.repo.local}/org/jruby/joni/joni/2.1.1/joni-2.1.1.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/com/github/jnr/jnr-netdb/1.1.2"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//com/github/jnr/jnr-netdb/1.1.2/jnr-netdb-1.1.2.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-netdb/1.1.2/jnr-netdb-1.1.2.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/com/github/jnr/jnr-netdb/1.1.2/jnr-netdb-1.1.2.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-netdb/1.1.2/jnr-netdb-1.1.2.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/com/github/jnr/jnr-netdb/1.1.2/jnr-netdb-1.1.2.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-netdb/1.1.2/jnr-netdb-1.1.2.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/com/github/jnr/jnr-enxio/0.4"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//com/github/jnr/jnr-enxio/0.4/jnr-enxio-0.4.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-enxio/0.4/jnr-enxio-0.4.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/com/github/jnr/jnr-enxio/0.4/jnr-enxio-0.4.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-enxio/0.4/jnr-enxio-0.4.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/com/github/jnr/jnr-enxio/0.4/jnr-enxio-0.4.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-enxio/0.4/jnr-enxio-0.4.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/com/github/jnr/jnr-x86asm/1.0.2"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//com/github/jnr/jnr-x86asm/1.0.2/jnr-x86asm-1.0.2.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-x86asm/1.0.2/jnr-x86asm-1.0.2.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/com/github/jnr/jnr-x86asm/1.0.2/jnr-x86asm-1.0.2.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-x86asm/1.0.2/jnr-x86asm-1.0.2.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/com/github/jnr/jnr-x86asm/1.0.2/jnr-x86asm-1.0.2.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-x86asm/1.0.2/jnr-x86asm-1.0.2.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/com/github/jnr/jnr-unixsocket/0.3"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//com/github/jnr/jnr-unixsocket/0.3/jnr-unixsocket-0.3.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-unixsocket/0.3/jnr-unixsocket-0.3.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/com/github/jnr/jnr-unixsocket/0.3/jnr-unixsocket-0.3.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-unixsocket/0.3/jnr-unixsocket-0.3.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/com/github/jnr/jnr-unixsocket/0.3/jnr-unixsocket-0.3.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-unixsocket/0.3/jnr-unixsocket-0.3.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/com/github/jnr/jnr-posix/3.0.1"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//com/github/jnr/jnr-posix/3.0.1/jnr-posix-3.0.1.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-posix/3.0.1/jnr-posix-3.0.1.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/com/github/jnr/jnr-posix/3.0.1/jnr-posix-3.0.1.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-posix/3.0.1/jnr-posix-3.0.1.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/com/github/jnr/jnr-posix/3.0.1/jnr-posix-3.0.1.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-posix/3.0.1/jnr-posix-3.0.1.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/org/jruby/extras/bytelist/1.0.11"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//org/jruby/extras/bytelist/1.0.11/bytelist-1.0.11.jar" 
+         dest="${maven.repo.local}/org/jruby/extras/bytelist/1.0.11/bytelist-1.0.11.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/org/jruby/extras/bytelist/1.0.11/bytelist-1.0.11.jar" 
+         dest="${maven.repo.local}/org/jruby/extras/bytelist/1.0.11/bytelist-1.0.11.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/org/jruby/extras/bytelist/1.0.11/bytelist-1.0.11.jar" 
+         dest="${maven.repo.local}/org/jruby/extras/bytelist/1.0.11/bytelist-1.0.11.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/com/github/jnr/jnr-constants/0.8.5"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//com/github/jnr/jnr-constants/0.8.5/jnr-constants-0.8.5.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-constants/0.8.5/jnr-constants-0.8.5.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/com/github/jnr/jnr-constants/0.8.5/jnr-constants-0.8.5.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-constants/0.8.5/jnr-constants-0.8.5.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/com/github/jnr/jnr-constants/0.8.5/jnr-constants-0.8.5.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-constants/0.8.5/jnr-constants-0.8.5.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/org/jruby/jcodings/jcodings/1.0.10"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//org/jruby/jcodings/jcodings/1.0.10/jcodings-1.0.10.jar" 
+         dest="${maven.repo.local}/org/jruby/jcodings/jcodings/1.0.10/jcodings-1.0.10.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/org/jruby/jcodings/jcodings/1.0.10/jcodings-1.0.10.jar" 
+         dest="${maven.repo.local}/org/jruby/jcodings/jcodings/1.0.10/jcodings-1.0.10.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/org/jruby/jcodings/jcodings/1.0.10/jcodings-1.0.10.jar" 
+         dest="${maven.repo.local}/org/jruby/jcodings/jcodings/1.0.10/jcodings-1.0.10.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/com/github/jnr/jnr-ffi/1.0.7"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//com/github/jnr/jnr-ffi/1.0.7/jnr-ffi-1.0.7.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-ffi/1.0.7/jnr-ffi-1.0.7.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/com/github/jnr/jnr-ffi/1.0.7/jnr-ffi-1.0.7.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-ffi/1.0.7/jnr-ffi-1.0.7.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/com/github/jnr/jnr-ffi/1.0.7/jnr-ffi-1.0.7.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-ffi/1.0.7/jnr-ffi-1.0.7.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/com/github/jnr/jffi/1.2.7"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//com/github/jnr/jffi/1.2.7/jffi-1.2.7.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jffi/1.2.7/jffi-1.2.7.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/com/github/jnr/jffi/1.2.7/jffi-1.2.7.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jffi/1.2.7/jffi-1.2.7.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/com/github/jnr/jffi/1.2.7/jffi-1.2.7.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jffi/1.2.7/jffi-1.2.7.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/com/github/jnr/jffi/1.2.7"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//com/github/jnr/jffi/1.2.7/jffi-1.2.7-native.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jffi/1.2.7/jffi-1.2.7-native.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/com/github/jnr/jffi/1.2.7/jffi-1.2.7-native.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jffi/1.2.7/jffi-1.2.7-native.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/com/github/jnr/jffi/1.2.7/jffi-1.2.7-native.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jffi/1.2.7/jffi-1.2.7-native.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/org/yaml/snakeyaml/1.13"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//org/yaml/snakeyaml/1.13/snakeyaml-1.13.jar" 
+         dest="${maven.repo.local}/org/yaml/snakeyaml/1.13/snakeyaml-1.13.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/org/yaml/snakeyaml/1.13/snakeyaml-1.13.jar" 
+         dest="${maven.repo.local}/org/yaml/snakeyaml/1.13/snakeyaml-1.13.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/org/yaml/snakeyaml/1.13/snakeyaml-1.13.jar" 
+         dest="${maven.repo.local}/org/yaml/snakeyaml/1.13/snakeyaml-1.13.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/com/jcraft/jzlib/1.1.2"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//com/jcraft/jzlib/1.1.2/jzlib-1.1.2.jar" 
+         dest="${maven.repo.local}/com/jcraft/jzlib/1.1.2/jzlib-1.1.2.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/com/jcraft/jzlib/1.1.2/jzlib-1.1.2.jar" 
+         dest="${maven.repo.local}/com/jcraft/jzlib/1.1.2/jzlib-1.1.2.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/com/jcraft/jzlib/1.1.2/jzlib-1.1.2.jar" 
+         dest="${maven.repo.local}/com/jcraft/jzlib/1.1.2/jzlib-1.1.2.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/com/headius/invokebinder/1.2"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//com/headius/invokebinder/1.2/invokebinder-1.2.jar" 
+         dest="${maven.repo.local}/com/headius/invokebinder/1.2/invokebinder-1.2.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/com/headius/invokebinder/1.2/invokebinder-1.2.jar" 
+         dest="${maven.repo.local}/com/headius/invokebinder/1.2/invokebinder-1.2.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/com/headius/invokebinder/1.2/invokebinder-1.2.jar" 
+         dest="${maven.repo.local}/com/headius/invokebinder/1.2/invokebinder-1.2.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/org/osgi/org.osgi.core/5.0.0"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//org/osgi/org.osgi.core/5.0.0/org.osgi.core-5.0.0.jar" 
+         dest="${maven.repo.local}/org/osgi/org.osgi.core/5.0.0/org.osgi.core-5.0.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/org/osgi/org.osgi.core/5.0.0/org.osgi.core-5.0.0.jar" 
+         dest="${maven.repo.local}/org/osgi/org.osgi.core/5.0.0/org.osgi.core-5.0.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/org/osgi/org.osgi.core/5.0.0/org.osgi.core-5.0.0.jar" 
+         dest="${maven.repo.local}/org/osgi/org.osgi.core/5.0.0/org.osgi.core-5.0.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/org/apache/ant/ant/1.9.2"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//org/apache/ant/ant/1.9.2/ant-1.9.2.jar" 
+         dest="${maven.repo.local}/org/apache/ant/ant/1.9.2/ant-1.9.2.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/org/apache/ant/ant/1.9.2/ant-1.9.2.jar" 
+         dest="${maven.repo.local}/org/apache/ant/ant/1.9.2/ant-1.9.2.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/org/apache/ant/ant/1.9.2/ant-1.9.2.jar" 
+         dest="${maven.repo.local}/org/apache/ant/ant/1.9.2/ant-1.9.2.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/org/apache/ant/ant-launcher/1.9.2"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//org/apache/ant/ant-launcher/1.9.2/ant-launcher-1.9.2.jar" 
+         dest="${maven.repo.local}/org/apache/ant/ant-launcher/1.9.2/ant-launcher-1.9.2.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/org/apache/ant/ant-launcher/1.9.2/ant-launcher-1.9.2.jar" 
+         dest="${maven.repo.local}/org/apache/ant/ant-launcher/1.9.2/ant-launcher-1.9.2.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/org/apache/ant/ant-launcher/1.9.2/ant-launcher-1.9.2.jar" 
+         dest="${maven.repo.local}/org/apache/ant/ant-launcher/1.9.2/ant-launcher-1.9.2.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/bsf/bsf/2.4.0"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//bsf/bsf/2.4.0/bsf-2.4.0.jar" 
+         dest="${maven.repo.local}/bsf/bsf/2.4.0/bsf-2.4.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/bsf/bsf/2.4.0/bsf-2.4.0.jar" 
+         dest="${maven.repo.local}/bsf/bsf/2.4.0/bsf-2.4.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/bsf/bsf/2.4.0/bsf-2.4.0.jar" 
+         dest="${maven.repo.local}/bsf/bsf/2.4.0/bsf-2.4.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/commons-logging/commons-logging/1.0.4"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//commons-logging/commons-logging/1.0.4/commons-logging-1.0.4.jar" 
+         dest="${maven.repo.local}/commons-logging/commons-logging/1.0.4/commons-logging-1.0.4.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/commons-logging/commons-logging/1.0.4/commons-logging-1.0.4.jar" 
+         dest="${maven.repo.local}/commons-logging/commons-logging/1.0.4/commons-logging-1.0.4.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/commons-logging/commons-logging/1.0.4/commons-logging-1.0.4.jar" 
+         dest="${maven.repo.local}/commons-logging/commons-logging/1.0.4/commons-logging-1.0.4.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/com/martiansoftware/nailgun-server/0.9.1"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//com/martiansoftware/nailgun-server/0.9.1/nailgun-server-0.9.1.jar" 
+         dest="${maven.repo.local}/com/martiansoftware/nailgun-server/0.9.1/nailgun-server-0.9.1.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/com/martiansoftware/nailgun-server/0.9.1/nailgun-server-0.9.1.jar" 
+         dest="${maven.repo.local}/com/martiansoftware/nailgun-server/0.9.1/nailgun-server-0.9.1.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/com/martiansoftware/nailgun-server/0.9.1/nailgun-server-0.9.1.jar" 
+         dest="${maven.repo.local}/com/martiansoftware/nailgun-server/0.9.1/nailgun-server-0.9.1.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/com/headius/coro-mock/1.0"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//com/headius/coro-mock/1.0/coro-mock-1.0.jar" 
+         dest="${maven.repo.local}/com/headius/coro-mock/1.0/coro-mock-1.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/com/headius/coro-mock/1.0/coro-mock-1.0.jar" 
+         dest="${maven.repo.local}/com/headius/coro-mock/1.0/coro-mock-1.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/com/headius/coro-mock/1.0/coro-mock-1.0.jar" 
+         dest="${maven.repo.local}/com/headius/coro-mock/1.0/coro-mock-1.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/com/headius/unsafe-mock/8.0"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//com/headius/unsafe-mock/8.0/unsafe-mock-8.0.jar" 
+         dest="${maven.repo.local}/com/headius/unsafe-mock/8.0/unsafe-mock-8.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/com/headius/unsafe-mock/8.0/unsafe-mock-8.0.jar" 
+         dest="${maven.repo.local}/com/headius/unsafe-mock/8.0/unsafe-mock-8.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/com/headius/unsafe-mock/8.0/unsafe-mock-8.0.jar" 
+         dest="${maven.repo.local}/com/headius/unsafe-mock/8.0/unsafe-mock-8.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/com/headius/jsr292-mock/1.1"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//com/headius/jsr292-mock/1.1/jsr292-mock-1.1.jar" 
+         dest="${maven.repo.local}/com/headius/jsr292-mock/1.1/jsr292-mock-1.1.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/com/headius/jsr292-mock/1.1/jsr292-mock-1.1.jar" 
+         dest="${maven.repo.local}/com/headius/jsr292-mock/1.1/jsr292-mock-1.1.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/com/headius/jsr292-mock/1.1/jsr292-mock-1.1.jar" 
+         dest="${maven.repo.local}/com/headius/jsr292-mock/1.1/jsr292-mock-1.1.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/org/ow2/asm/asm-debug-all/5.0_BETA"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//org/ow2/asm/asm-debug-all/5.0_BETA/asm-debug-all-5.0_BETA.jar" 
+         dest="${maven.repo.local}/org/ow2/asm/asm-debug-all/5.0_BETA/asm-debug-all-5.0_BETA.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/org/ow2/asm/asm-debug-all/5.0_BETA/asm-debug-all-5.0_BETA.jar" 
+         dest="${maven.repo.local}/org/ow2/asm/asm-debug-all/5.0_BETA/asm-debug-all-5.0_BETA.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/org/ow2/asm/asm-debug-all/5.0_BETA/asm-debug-all-5.0_BETA.jar" 
+         dest="${maven.repo.local}/org/ow2/asm/asm-debug-all/5.0_BETA/asm-debug-all-5.0_BETA.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/org/jruby/yecht/1.0"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//org/jruby/yecht/1.0/yecht-1.0.jar" 
+         dest="${maven.repo.local}/org/jruby/yecht/1.0/yecht-1.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/org/jruby/yecht/1.0/yecht-1.0.jar" 
+         dest="${maven.repo.local}/org/jruby/yecht/1.0/yecht-1.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/org/jruby/yecht/1.0/yecht-1.0.jar" 
+         dest="${maven.repo.local}/org/jruby/yecht/1.0/yecht-1.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/org/jruby/joda-timezones/2013d"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//org/jruby/joda-timezones/2013d/joda-timezones-2013d.jar" 
+         dest="${maven.repo.local}/org/jruby/joda-timezones/2013d/joda-timezones-2013d.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/org/jruby/joda-timezones/2013d/joda-timezones-2013d.jar" 
+         dest="${maven.repo.local}/org/jruby/joda-timezones/2013d/joda-timezones-2013d.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/org/jruby/joda-timezones/2013d/joda-timezones-2013d.jar" 
+         dest="${maven.repo.local}/org/jruby/joda-timezones/2013d/joda-timezones-2013d.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/joda-time/joda-time/2.3"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//joda-time/joda-time/2.3/joda-time-2.3.jar" 
+         dest="${maven.repo.local}/joda-time/joda-time/2.3/joda-time-2.3.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/joda-time/joda-time/2.3/joda-time-2.3.jar" 
+         dest="${maven.repo.local}/joda-time/joda-time/2.3/joda-time-2.3.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/joda-time/joda-time/2.3/joda-time-2.3.jar" 
+         dest="${maven.repo.local}/joda-time/joda-time/2.3/joda-time-2.3.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/com/headius/options/1.1"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//com/headius/options/1.1/options-1.1.jar" 
+         dest="${maven.repo.local}/com/headius/options/1.1/options-1.1.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/com/headius/options/1.1/options-1.1.jar" 
+         dest="${maven.repo.local}/com/headius/options/1.1/options-1.1.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/com/headius/options/1.1/options-1.1.jar" 
+         dest="${maven.repo.local}/com/headius/options/1.1/options-1.1.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+  </target>
+
+</project>
--- /dev/null
+++ b/ext/build.xml
@@ -0,0 +1,23 @@
+<?xml version="1.0" encoding="UTF-8"?>
+
+<!-- ====================================================================== -->
+<!-- Ant build file (http://ant.apache.org/) for Ant 1.6.2 or above.        -->
+<!-- ====================================================================== -->
+
+<project name="jruby-ext" default="package" basedir=".">
+
+  <!-- ====================================================================== -->
+  <!-- Import maven-build.xml into the current project                        -->
+  <!-- ====================================================================== -->
+
+  <import file="maven-build.xml"/>
+  
+  <!-- ====================================================================== -->
+  <!-- Help target                                                            -->
+  <!-- ====================================================================== -->
+
+  <target name="help">
+    <echo message="Please run: $ant -projecthelp"/>
+  </target>
+
+</project>
--- /dev/null
+++ b/ext/maven-build.xml
@@ -0,0 +1,80 @@
+<?xml version="1.0" encoding="UTF-8"?>
+
+<!-- ====================================================================== -->
+<!-- Ant build file (http://ant.apache.org/) for Ant 1.6.2 or above.        -->
+<!-- ====================================================================== -->
+
+<!-- ====================================================================== -->
+<!-- ===================== - DO NOT EDIT THIS FILE! - ===================== -->
+<!-- ====================================================================== -->
+<!--                                                                        -->
+<!-- Any modifications will be overwritten.                                 -->
+<!--                                                                        -->
+<!-- Generated by Maven Ant Plugin on 4/21/14 11:39 PM                      -->
+<!-- See: http://maven.apache.org/plugins/maven-ant-plugin/                 -->
+<!--                                                                        -->
+<!-- ====================================================================== -->
+
+<project name="jruby-ext-from-maven" default="package" basedir=".">
+
+  <!-- ====================================================================== -->
+  <!-- Cleaning up target                                                     -->
+  <!-- ====================================================================== -->
+
+  <target name="clean" description="Clean the output directory">
+    <ant antfile="build.xml" dir="openssl" target="clean"/>
+    <ant antfile="build.xml" dir="readline" target="clean"/>
+    <ant antfile="build.xml" dir="ripper" target="clean"/>
+  </target>
+
+  <!-- ====================================================================== -->
+  <!-- Compilation target                                                     -->
+  <!-- ====================================================================== -->
+
+  <target name="compile" description="Compile the code">
+    <ant antfile="build.xml" dir="openssl" target="compile"/>
+    <ant antfile="build.xml" dir="readline" target="compile"/>
+    <ant antfile="build.xml" dir="ripper" target="compile"/>
+  </target>
+
+  <!-- ====================================================================== -->
+  <!-- Test-compilation target                                                -->
+  <!-- ====================================================================== -->
+
+  <target name="compile-tests" description="Compile the test code">
+    <ant antfile="build.xml" dir="openssl" target="compile-tests"/>
+    <ant antfile="build.xml" dir="readline" target="compile-tests"/>
+    <ant antfile="build.xml" dir="ripper" target="compile-tests"/>
+  </target>
+
+  <!-- ====================================================================== -->
+  <!-- Run all tests                                                          -->
+  <!-- ====================================================================== -->
+
+  <target name="test" description="Run the test cases">
+    <ant antfile="build.xml" dir="openssl" target="test"/>
+    <ant antfile="build.xml" dir="readline" target="test"/>
+    <ant antfile="build.xml" dir="ripper" target="test"/>
+  </target>
+
+  <!-- ====================================================================== -->
+  <!-- Javadoc target                                                         -->
+  <!-- ====================================================================== -->
+
+  <target name="javadoc" description="Generates the Javadoc of the application">
+    <ant antfile="build.xml" dir="openssl" target="javadoc"/>
+    <ant antfile="build.xml" dir="readline" target="javadoc"/>
+    <ant antfile="build.xml" dir="ripper" target="javadoc"/>
+  </target>
+
+  <!-- ====================================================================== -->
+  <!-- Package target                                                         -->
+  <!-- ====================================================================== -->
+
+  <target name="package" description="Package the application">
+    <ant antfile="build.xml" dir="openssl" target="package"/>
+    <ant antfile="build.xml" dir="readline" target="package"/>
+    <ant antfile="build.xml" dir="ripper" target="package"/>
+  </target>
+
+</project>
--- /dev/null
+++ b/ext/openssl/build.xml
@@ -0,0 +1,23 @@
+<?xml version="1.0" encoding="UTF-8"?>
+
+<!-- ====================================================================== -->
+<!-- Ant build file (http://ant.apache.org/) for Ant 1.6.2 or above.        -->
+<!-- ====================================================================== -->
+
+<project name="openssl" default="package" basedir=".">
+
+  <!-- ====================================================================== -->
+  <!-- Import maven-build.xml into the current project                        -->
+  <!-- ====================================================================== -->
+
+  <import file="maven-build.xml"/>
+  
+  <!-- ====================================================================== -->
+  <!-- Help target                                                            -->
+  <!-- ====================================================================== -->
+
+  <target name="help">
+    <echo message="Please run: $ant -projecthelp"/>
+  </target>
+
+</project>
--- /dev/null
+++ b/ext/openssl/maven-build.properties
@@ -0,0 +1,60 @@
+#Generated by Maven Ant Plugin - DO NOT EDIT THIS FILE!
+#Mon Apr 21 23:39:38 CEST 2014
+maven.build.testDir.0=src/test/java
+version.ruby=1.8.7
+bc.version=1.5.0147
+rspec-mocks.version=2.14.1
+jffi.version=1.2.7
+maven.settings.offline=false
+ant.version=1.9.2
+jopenssl.version=0.9.3
+version.ruby2_0.revision=40734
+base.javac.version=1.6
+version.ruby2_0.patchlevel=195
+maven.settings.interactiveMode=true
+asm.version=4.0
+version.jruby=0.9.4
+minitest.version=5.0.7
+maven.reporting.outputDirectory=${maven.build.dir}/site
+version.ruby1_9.patchlevel=3922
+version.ruby.minor=7
+version.ruby.patchlevel=370
+version.ruby2_0=2.0.0
+project.build.sourceEncoding=UTF-8
+maven.build.testOutputDir=${maven.build.dir}/test-classes
+openssl.dir=/var/tmp/portage/dev-java/jruby-1.7.12/work/jruby-1.7.12/ext/openssl/../../lib/ruby/shared
+version.ruby1_9=1.9.3
+maven.build.finalName=openssl-0.9.4
+rspec-expectations.version=2.14.0
+rspec.version=2.14.1
+maven.test.reports=${maven.build.dir}/test-reports
+krypt.version=0.0.2.rc1
+version.ruby.major=1.8
+version.ruby1_9.major=1.9
+version.ruby1_9.revision=39386
+minitest-excludes.version=1.0.2
+base.java.version=1.6
+maven.repo.local=${user.home}/.m2/repository
+maven.build.dir=target
+rake.version=10.1.0
+maven.build.outputDir=${maven.build.dir}/classes
+jruby.basedir=/var/tmp/portage/dev-java/jruby-1.7.12/work/jruby-1.7.12/ext/openssl
+project.build.directory=${maven.build.dir}
+maven.build.resourceDir.0=src/main/resources
+main.basedir=${project.parent.parent.basedir}
+github.global.server=github
+diff-lcs.version=1.1.3
+jruby.plugins.version=1.0.0-rc4
+maven.build.srcDir.0=src/main/java
+json.version=1.8.0
+rspec-core.version=2.14.2
+rdoc.version=4.0.1
+maven.build.testResourceDir.0=src/test/resources
+bundle.name=JRuby
+sonatypeOssDistMgmtSnapshotsUrl=https\://oss.sonatype.org/content/repositories/snapshots/
+bundle.symbolic_name=org.jruby.jruby
+version.ruby2_0.major=2.0
+bouncy-castle.version=1.47
+joda.time.version=2.3
+project.build.outputDirectory=${maven.build.outputDir}
+jruby-launcher.version=1.0.19
--- /dev/null
+++ b/ext/openssl/maven-build.xml
@@ -0,0 +1,628 @@
+<?xml version="1.0" encoding="UTF-8"?>
+
+<!-- ====================================================================== -->
+<!-- Ant build file (http://ant.apache.org/) for Ant 1.6.2 or above.        -->
+<!-- ====================================================================== -->
+
+<!-- ====================================================================== -->
+<!-- ===================== - DO NOT EDIT THIS FILE! - ===================== -->
+<!-- ====================================================================== -->
+<!--                                                                        -->
+<!-- Any modifications will be overwritten.                                 -->
+<!--                                                                        -->
+<!-- Generated by Maven Ant Plugin on 4/21/14 11:39 PM                      -->
+<!-- See: http://maven.apache.org/plugins/maven-ant-plugin/                 -->
+<!--                                                                        -->
+<!-- ====================================================================== -->
+
+<project name="openssl-from-maven" default="package" basedir=".">
+
+  <!-- ====================================================================== -->
+  <!-- Build environment properties                                           -->
+  <!-- ====================================================================== -->
+
+  <property file="${user.home}/.m2/maven.properties"/>
+  <property file="maven-build.properties"/>
+
+  <property name="maven.build.finalName" value="openssl-0.9.4"/>
+  <property name="maven.build.dir" value="target"/>
+  <property name="maven.build.outputDir" value="${maven.build.dir}/classes"/>
+  <property name="maven.build.srcDir.0" value="src/main/java"/>
+  <property name="maven.build.resourceDir.0" value="src/main/resources"/>
+  <property name="maven.build.testOutputDir" value="${maven.build.dir}/test-classes"/>
+  <property name="maven.build.testDir.0" value="src/test/java"/>
+  <property name="maven.build.testResourceDir.0" value="src/test/resources"/>
+  <property name="maven.test.reports" value="${maven.build.dir}/test-reports"/>
+  <property name="maven.reporting.outputDirectory" value="${maven.build.dir}/site"/>
+
+  <property name="maven.repo.local" value="${user.home}/.m2/repository"/>
+  <property name="maven.settings.offline" value="false"/>
+  <property name="maven.settings.interactiveMode" value="true"/>
+
+  <!-- ====================================================================== -->
+  <!-- Defining classpaths                                                    -->
+  <!-- ====================================================================== -->
+
+  <path id="build.classpath">
+    <pathelement location="${maven.repo.local}/org/bouncycastle/bcpkix-jdk15on/1.47/bcpkix-jdk15on-1.47.jar"/>
+    <pathelement location="${maven.repo.local}/org/bouncycastle/bcprov-jdk15on/1.47/bcprov-jdk15on-1.47.jar"/>
+    <pathelement location="${maven.repo.local}/org/jruby/jruby-core/1.7.12/jruby-core-1.7.12.jar"/>
+    <pathelement location="${maven.repo.local}/org/ow2/asm/asm/4.0/asm-4.0.jar"/>
+    <pathelement location="${maven.repo.local}/org/ow2/asm/asm-commons/4.0/asm-commons-4.0.jar"/>
+    <pathelement location="${maven.repo.local}/org/ow2/asm/asm-tree/4.0/asm-tree-4.0.jar"/>
+    <pathelement location="${maven.repo.local}/org/ow2/asm/asm-analysis/4.0/asm-analysis-4.0.jar"/>
+    <pathelement location="${maven.repo.local}/org/ow2/asm/asm-util/4.0/asm-util-4.0.jar"/>
+    <pathelement location="${maven.repo.local}/org/jruby/joni/joni/2.1.1/joni-2.1.1.jar"/>
+    <pathelement location="${maven.repo.local}/com/github/jnr/jnr-netdb/1.1.2/jnr-netdb-1.1.2.jar"/>
+    <pathelement location="${maven.repo.local}/com/github/jnr/jnr-enxio/0.4/jnr-enxio-0.4.jar"/>
+    <pathelement location="${maven.repo.local}/com/github/jnr/jnr-x86asm/1.0.2/jnr-x86asm-1.0.2.jar"/>
+    <pathelement location="${maven.repo.local}/com/github/jnr/jnr-unixsocket/0.3/jnr-unixsocket-0.3.jar"/>
+    <pathelement location="${maven.repo.local}/com/github/jnr/jnr-posix/3.0.1/jnr-posix-3.0.1.jar"/>
+    <pathelement location="${maven.repo.local}/org/jruby/extras/bytelist/1.0.11/bytelist-1.0.11.jar"/>
+    <pathelement location="${maven.repo.local}/com/github/jnr/jnr-constants/0.8.5/jnr-constants-0.8.5.jar"/>
+    <pathelement location="${maven.repo.local}/org/jruby/jcodings/jcodings/1.0.10/jcodings-1.0.10.jar"/>
+    <pathelement location="${maven.repo.local}/com/github/jnr/jnr-ffi/1.0.7/jnr-ffi-1.0.7.jar"/>
+    <pathelement location="${maven.repo.local}/com/github/jnr/jffi/1.2.7/jffi-1.2.7.jar"/>
+    <pathelement location="${maven.repo.local}/com/github/jnr/jffi/1.2.7/jffi-1.2.7-native.jar"/>
+    <pathelement location="${maven.repo.local}/org/yaml/snakeyaml/1.13/snakeyaml-1.13.jar"/>
+    <pathelement location="${maven.repo.local}/com/jcraft/jzlib/1.1.2/jzlib-1.1.2.jar"/>
+    <pathelement location="${maven.repo.local}/com/headius/invokebinder/1.2/invokebinder-1.2.jar"/>
+    <pathelement location="${maven.repo.local}/com/martiansoftware/nailgun-server/0.9.1/nailgun-server-0.9.1.jar"/>
+    <pathelement location="${maven.repo.local}/org/jruby/yecht/1.0/yecht-1.0.jar"/>
+    <pathelement location="${maven.repo.local}/joda-time/joda-time/2.3/joda-time-2.3.jar"/>
+    <pathelement location="${maven.repo.local}/com/headius/options/1.1/options-1.1.jar"/>
+    <pathelement location="${jruby.basedir}/../../core/target/jruby-core-GENTOO_JRUY_VER.jar"/>
+  </path>
+  <path id="build.test.classpath">
+    <pathelement location="${maven.repo.local}/junit/junit/4.11/junit-4.11.jar"/>
+    <pathelement location="${maven.repo.local}/org/hamcrest/hamcrest-core/1.3/hamcrest-core-1.3.jar"/>
+    <pathelement location="${maven.repo.local}/org/bouncycastle/bcpkix-jdk15on/1.47/bcpkix-jdk15on-1.47.jar"/>
+    <pathelement location="${maven.repo.local}/org/bouncycastle/bcprov-jdk15on/1.47/bcprov-jdk15on-1.47.jar"/>
+    <pathelement location="${maven.repo.local}/org/jruby/jruby-core/1.7.12/jruby-core-1.7.12.jar"/>
+    <pathelement location="${maven.repo.local}/org/ow2/asm/asm/4.0/asm-4.0.jar"/>
+    <pathelement location="${maven.repo.local}/org/ow2/asm/asm-commons/4.0/asm-commons-4.0.jar"/>
+    <pathelement location="${maven.repo.local}/org/ow2/asm/asm-tree/4.0/asm-tree-4.0.jar"/>
+    <pathelement location="${maven.repo.local}/org/ow2/asm/asm-analysis/4.0/asm-analysis-4.0.jar"/>
+    <pathelement location="${maven.repo.local}/org/ow2/asm/asm-util/4.0/asm-util-4.0.jar"/>
+    <pathelement location="${maven.repo.local}/org/jruby/joni/joni/2.1.1/joni-2.1.1.jar"/>
+    <pathelement location="${maven.repo.local}/com/github/jnr/jnr-netdb/1.1.2/jnr-netdb-1.1.2.jar"/>
+    <pathelement location="${maven.repo.local}/com/github/jnr/jnr-enxio/0.4/jnr-enxio-0.4.jar"/>
+    <pathelement location="${maven.repo.local}/com/github/jnr/jnr-x86asm/1.0.2/jnr-x86asm-1.0.2.jar"/>
+    <pathelement location="${maven.repo.local}/com/github/jnr/jnr-unixsocket/0.3/jnr-unixsocket-0.3.jar"/>
+    <pathelement location="${maven.repo.local}/com/github/jnr/jnr-posix/3.0.1/jnr-posix-3.0.1.jar"/>
+    <pathelement location="${maven.repo.local}/org/jruby/extras/bytelist/1.0.11/bytelist-1.0.11.jar"/>
+    <pathelement location="${maven.repo.local}/com/github/jnr/jnr-constants/0.8.5/jnr-constants-0.8.5.jar"/>
+    <pathelement location="${maven.repo.local}/org/jruby/jcodings/jcodings/1.0.10/jcodings-1.0.10.jar"/>
+    <pathelement location="${maven.repo.local}/com/github/jnr/jnr-ffi/1.0.7/jnr-ffi-1.0.7.jar"/>
+    <pathelement location="${maven.repo.local}/com/github/jnr/jffi/1.2.7/jffi-1.2.7.jar"/>
+    <pathelement location="${maven.repo.local}/com/github/jnr/jffi/1.2.7/jffi-1.2.7-native.jar"/>
+    <pathelement location="${maven.repo.local}/org/yaml/snakeyaml/1.13/snakeyaml-1.13.jar"/>
+    <pathelement location="${maven.repo.local}/com/jcraft/jzlib/1.1.2/jzlib-1.1.2.jar"/>
+    <pathelement location="${maven.repo.local}/com/headius/invokebinder/1.2/invokebinder-1.2.jar"/>
+    <pathelement location="${maven.repo.local}/com/martiansoftware/nailgun-server/0.9.1/nailgun-server-0.9.1.jar"/>
+    <pathelement location="${maven.repo.local}/org/jruby/yecht/1.0/yecht-1.0.jar"/>
+    <pathelement location="${maven.repo.local}/joda-time/joda-time/2.3/joda-time-2.3.jar"/>
+    <pathelement location="${maven.repo.local}/com/headius/options/1.1/options-1.1.jar"/>
+    <pathelement location="${jruby.basedir}/../../core/target/jruby-core-GENTOO_JRUY_VER.jar"/>
+  </path>
+
+  <!-- ====================================================================== -->
+  <!-- Cleaning up target                                                     -->
+  <!-- ====================================================================== -->
+
+  <target name="clean" description="Clean the output directory">
+    <delete dir="${maven.build.dir}"/>
+  </target>
+
+  <!-- ====================================================================== -->
+  <!-- Compilation target                                                     -->
+  <!-- ====================================================================== -->
+
+  <target name="compile" depends="get-deps" description="Compile the code">
+    <mkdir dir="${maven.build.outputDir}"/>
+    <javac destdir="${maven.build.outputDir}" 
+           encoding="utf-8" 
+           nowarn="true" 
+           debug="true" 
+           optimize="false" 
+           deprecation="true" 
+           target="1.6" 
+           verbose="true" 
+           fork="true" 
+           source="1.6">
+      <src>
+        <pathelement location="${maven.build.srcDir.0}"/>
+      </src>
+      <classpath refid="build.classpath"/>
+    </javac>
+  </target>
+
+  <!-- ====================================================================== -->
+  <!-- Test-compilation target                                                -->
+  <!-- ====================================================================== -->
+
+  <target name="compile-tests" 
+          depends="compile" 
+          description="Compile the test code" 
+          unless="maven.test.skip">
+    <mkdir dir="${maven.build.testOutputDir}"/>
+  </target>
+
+  <!-- ====================================================================== -->
+  <!-- Run all tests                                                          -->
+  <!-- ====================================================================== -->
+
+  <target name="test" 
+          depends="compile-tests, junit-missing" 
+          unless="junit.skipped" 
+          description="Run the test cases"/>
+
+  <target name="test-junit-present">
+    <available classname="junit.framework.Test" property="junit.present"/>
+  </target>
+
+  <target name="test-junit-status" 
+          depends="test-junit-present">
+    <condition property="junit.missing">
+      <and>
+        <isfalse value="${junit.present}"/>
+        <isfalse value="${maven.test.skip}"/>
+      </and>
+    </condition>
+    <condition property="junit.skipped">
+      <or>
+        <isfalse value="${junit.present}"/>
+        <istrue value="${maven.test.skip}"/>
+      </or>
+    </condition>
+  </target>
+
+  <target name="junit-missing" 
+          depends="test-junit-status" 
+          if="junit.missing">
+    <echo>=================================== WARNING ===================================</echo>
+    <echo> JUnit is not present in your $ANT_HOME/lib directory. Tests not executed.</echo>
+    <echo>===============================================================================</echo>
+  </target>
+
+  <!-- ====================================================================== -->
+  <!-- Javadoc target                                                         -->
+  <!-- ====================================================================== -->
+
+  <target name="javadoc" description="Generates the Javadoc of the application">
+    <javadoc sourcepath="${maven.build.srcDir.0}" 
+             packagenames="*" 
+             destdir="${maven.reporting.outputDirectory}/apidocs" 
+             access="package" 
+             old="false" 
+             verbose="false" 
+             version="true" 
+             use="true" 
+             author="true" 
+             splitindex="false" 
+             nodeprecated="false" 
+             nodeprecatedlist="false" 
+             notree="false" 
+             noindex="false" 
+             nohelp="false" 
+             nonavbar="false" 
+             serialwarn="false" 
+             charset="ISO-8859-1" 
+             linksource="false" 
+             breakiterator="false" 
+             maxmemory="1g"/>
+  </target>
+
+  <!-- ====================================================================== -->
+  <!-- Package target                                                         -->
+  <!-- ====================================================================== -->
+
+  <target name="package" depends="compile,test" description="Package the application">
+    <jar jarfile="${maven.build.dir}/${maven.build.finalName}.jar" 
+         compress="true" 
+         index="false" 
+         basedir="${maven.build.outputDir}" 
+         excludes="**/package.html"/>
+  </target>
+
+  <!-- ====================================================================== -->
+  <!-- A dummy target for the package named after the type it creates         -->
+  <!-- ====================================================================== -->
+
+  <target name="jar" depends="package" description="Builds the jar for the application"/>
+
+  <!-- ====================================================================== -->
+  <!-- Download dependencies target                                           -->
+  <!-- ====================================================================== -->
+
+  <target name="test-offline">
+    <condition property="maven.mode.offline">
+      <equals arg1="${maven.settings.offline}" arg2="true"/>
+    </condition>
+  </target>
+
+  <target name="get-deps" 
+          depends="test-offline" 
+          description="Download all dependencies" 
+          unless="maven.mode.offline">
+    <mkdir dir="${maven.repo.local}"/>
+    <mkdir dir="${maven.repo.local}/junit/junit/4.11"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//junit/junit/4.11/junit-4.11.jar" 
+         dest="${maven.repo.local}/junit/junit/4.11/junit-4.11.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/junit/junit/4.11/junit-4.11.jar" 
+         dest="${maven.repo.local}/junit/junit/4.11/junit-4.11.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/junit/junit/4.11/junit-4.11.jar" 
+         dest="${maven.repo.local}/junit/junit/4.11/junit-4.11.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/org/hamcrest/hamcrest-core/1.3"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//org/hamcrest/hamcrest-core/1.3/hamcrest-core-1.3.jar" 
+         dest="${maven.repo.local}/org/hamcrest/hamcrest-core/1.3/hamcrest-core-1.3.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/org/hamcrest/hamcrest-core/1.3/hamcrest-core-1.3.jar" 
+         dest="${maven.repo.local}/org/hamcrest/hamcrest-core/1.3/hamcrest-core-1.3.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/org/hamcrest/hamcrest-core/1.3/hamcrest-core-1.3.jar" 
+         dest="${maven.repo.local}/org/hamcrest/hamcrest-core/1.3/hamcrest-core-1.3.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/org/bouncycastle/bcpkix-jdk15on/1.47"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//org/bouncycastle/bcpkix-jdk15on/1.47/bcpkix-jdk15on-1.47.jar" 
+         dest="${maven.repo.local}/org/bouncycastle/bcpkix-jdk15on/1.47/bcpkix-jdk15on-1.47.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/org/bouncycastle/bcpkix-jdk15on/1.47/bcpkix-jdk15on-1.47.jar" 
+         dest="${maven.repo.local}/org/bouncycastle/bcpkix-jdk15on/1.47/bcpkix-jdk15on-1.47.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/org/bouncycastle/bcpkix-jdk15on/1.47/bcpkix-jdk15on-1.47.jar" 
+         dest="${maven.repo.local}/org/bouncycastle/bcpkix-jdk15on/1.47/bcpkix-jdk15on-1.47.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/org/bouncycastle/bcprov-jdk15on/1.47"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//org/bouncycastle/bcprov-jdk15on/1.47/bcprov-jdk15on-1.47.jar" 
+         dest="${maven.repo.local}/org/bouncycastle/bcprov-jdk15on/1.47/bcprov-jdk15on-1.47.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/org/bouncycastle/bcprov-jdk15on/1.47/bcprov-jdk15on-1.47.jar" 
+         dest="${maven.repo.local}/org/bouncycastle/bcprov-jdk15on/1.47/bcprov-jdk15on-1.47.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/org/bouncycastle/bcprov-jdk15on/1.47/bcprov-jdk15on-1.47.jar" 
+         dest="${maven.repo.local}/org/bouncycastle/bcprov-jdk15on/1.47/bcprov-jdk15on-1.47.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/org/jruby/jruby-core/1.7.12"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//org/jruby/jruby-core/1.7.12/jruby-core-1.7.12.jar" 
+         dest="${maven.repo.local}/org/jruby/jruby-core/1.7.12/jruby-core-1.7.12.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/org/jruby/jruby-core/1.7.12/jruby-core-1.7.12.jar" 
+         dest="${maven.repo.local}/org/jruby/jruby-core/1.7.12/jruby-core-1.7.12.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/org/jruby/jruby-core/1.7.12/jruby-core-1.7.12.jar" 
+         dest="${maven.repo.local}/org/jruby/jruby-core/1.7.12/jruby-core-1.7.12.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/org/ow2/asm/asm/4.0"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//org/ow2/asm/asm/4.0/asm-4.0.jar" 
+         dest="${maven.repo.local}/org/ow2/asm/asm/4.0/asm-4.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/org/ow2/asm/asm/4.0/asm-4.0.jar" 
+         dest="${maven.repo.local}/org/ow2/asm/asm/4.0/asm-4.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/org/ow2/asm/asm/4.0/asm-4.0.jar" 
+         dest="${maven.repo.local}/org/ow2/asm/asm/4.0/asm-4.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/org/ow2/asm/asm-commons/4.0"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//org/ow2/asm/asm-commons/4.0/asm-commons-4.0.jar" 
+         dest="${maven.repo.local}/org/ow2/asm/asm-commons/4.0/asm-commons-4.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/org/ow2/asm/asm-commons/4.0/asm-commons-4.0.jar" 
+         dest="${maven.repo.local}/org/ow2/asm/asm-commons/4.0/asm-commons-4.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/org/ow2/asm/asm-commons/4.0/asm-commons-4.0.jar" 
+         dest="${maven.repo.local}/org/ow2/asm/asm-commons/4.0/asm-commons-4.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/org/ow2/asm/asm-tree/4.0"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//org/ow2/asm/asm-tree/4.0/asm-tree-4.0.jar" 
+         dest="${maven.repo.local}/org/ow2/asm/asm-tree/4.0/asm-tree-4.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/org/ow2/asm/asm-tree/4.0/asm-tree-4.0.jar" 
+         dest="${maven.repo.local}/org/ow2/asm/asm-tree/4.0/asm-tree-4.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/org/ow2/asm/asm-tree/4.0/asm-tree-4.0.jar" 
+         dest="${maven.repo.local}/org/ow2/asm/asm-tree/4.0/asm-tree-4.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/org/ow2/asm/asm-analysis/4.0"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//org/ow2/asm/asm-analysis/4.0/asm-analysis-4.0.jar" 
+         dest="${maven.repo.local}/org/ow2/asm/asm-analysis/4.0/asm-analysis-4.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/org/ow2/asm/asm-analysis/4.0/asm-analysis-4.0.jar" 
+         dest="${maven.repo.local}/org/ow2/asm/asm-analysis/4.0/asm-analysis-4.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/org/ow2/asm/asm-analysis/4.0/asm-analysis-4.0.jar" 
+         dest="${maven.repo.local}/org/ow2/asm/asm-analysis/4.0/asm-analysis-4.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/org/ow2/asm/asm-util/4.0"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//org/ow2/asm/asm-util/4.0/asm-util-4.0.jar" 
+         dest="${maven.repo.local}/org/ow2/asm/asm-util/4.0/asm-util-4.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/org/ow2/asm/asm-util/4.0/asm-util-4.0.jar" 
+         dest="${maven.repo.local}/org/ow2/asm/asm-util/4.0/asm-util-4.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/org/ow2/asm/asm-util/4.0/asm-util-4.0.jar" 
+         dest="${maven.repo.local}/org/ow2/asm/asm-util/4.0/asm-util-4.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/org/jruby/joni/joni/2.1.1"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//org/jruby/joni/joni/2.1.1/joni-2.1.1.jar" 
+         dest="${maven.repo.local}/org/jruby/joni/joni/2.1.1/joni-2.1.1.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/org/jruby/joni/joni/2.1.1/joni-2.1.1.jar" 
+         dest="${maven.repo.local}/org/jruby/joni/joni/2.1.1/joni-2.1.1.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/org/jruby/joni/joni/2.1.1/joni-2.1.1.jar" 
+         dest="${maven.repo.local}/org/jruby/joni/joni/2.1.1/joni-2.1.1.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/com/github/jnr/jnr-netdb/1.1.2"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//com/github/jnr/jnr-netdb/1.1.2/jnr-netdb-1.1.2.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-netdb/1.1.2/jnr-netdb-1.1.2.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/com/github/jnr/jnr-netdb/1.1.2/jnr-netdb-1.1.2.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-netdb/1.1.2/jnr-netdb-1.1.2.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/com/github/jnr/jnr-netdb/1.1.2/jnr-netdb-1.1.2.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-netdb/1.1.2/jnr-netdb-1.1.2.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/com/github/jnr/jnr-enxio/0.4"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//com/github/jnr/jnr-enxio/0.4/jnr-enxio-0.4.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-enxio/0.4/jnr-enxio-0.4.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/com/github/jnr/jnr-enxio/0.4/jnr-enxio-0.4.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-enxio/0.4/jnr-enxio-0.4.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/com/github/jnr/jnr-enxio/0.4/jnr-enxio-0.4.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-enxio/0.4/jnr-enxio-0.4.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/com/github/jnr/jnr-x86asm/1.0.2"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//com/github/jnr/jnr-x86asm/1.0.2/jnr-x86asm-1.0.2.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-x86asm/1.0.2/jnr-x86asm-1.0.2.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/com/github/jnr/jnr-x86asm/1.0.2/jnr-x86asm-1.0.2.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-x86asm/1.0.2/jnr-x86asm-1.0.2.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/com/github/jnr/jnr-x86asm/1.0.2/jnr-x86asm-1.0.2.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-x86asm/1.0.2/jnr-x86asm-1.0.2.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/com/github/jnr/jnr-unixsocket/0.3"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//com/github/jnr/jnr-unixsocket/0.3/jnr-unixsocket-0.3.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-unixsocket/0.3/jnr-unixsocket-0.3.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/com/github/jnr/jnr-unixsocket/0.3/jnr-unixsocket-0.3.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-unixsocket/0.3/jnr-unixsocket-0.3.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/com/github/jnr/jnr-unixsocket/0.3/jnr-unixsocket-0.3.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-unixsocket/0.3/jnr-unixsocket-0.3.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/com/github/jnr/jnr-posix/3.0.1"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//com/github/jnr/jnr-posix/3.0.1/jnr-posix-3.0.1.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-posix/3.0.1/jnr-posix-3.0.1.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/com/github/jnr/jnr-posix/3.0.1/jnr-posix-3.0.1.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-posix/3.0.1/jnr-posix-3.0.1.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/com/github/jnr/jnr-posix/3.0.1/jnr-posix-3.0.1.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-posix/3.0.1/jnr-posix-3.0.1.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/org/jruby/extras/bytelist/1.0.11"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//org/jruby/extras/bytelist/1.0.11/bytelist-1.0.11.jar" 
+         dest="${maven.repo.local}/org/jruby/extras/bytelist/1.0.11/bytelist-1.0.11.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/org/jruby/extras/bytelist/1.0.11/bytelist-1.0.11.jar" 
+         dest="${maven.repo.local}/org/jruby/extras/bytelist/1.0.11/bytelist-1.0.11.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/org/jruby/extras/bytelist/1.0.11/bytelist-1.0.11.jar" 
+         dest="${maven.repo.local}/org/jruby/extras/bytelist/1.0.11/bytelist-1.0.11.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/com/github/jnr/jnr-constants/0.8.5"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//com/github/jnr/jnr-constants/0.8.5/jnr-constants-0.8.5.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-constants/0.8.5/jnr-constants-0.8.5.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/com/github/jnr/jnr-constants/0.8.5/jnr-constants-0.8.5.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-constants/0.8.5/jnr-constants-0.8.5.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/com/github/jnr/jnr-constants/0.8.5/jnr-constants-0.8.5.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-constants/0.8.5/jnr-constants-0.8.5.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/org/jruby/jcodings/jcodings/1.0.10"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//org/jruby/jcodings/jcodings/1.0.10/jcodings-1.0.10.jar" 
+         dest="${maven.repo.local}/org/jruby/jcodings/jcodings/1.0.10/jcodings-1.0.10.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/org/jruby/jcodings/jcodings/1.0.10/jcodings-1.0.10.jar" 
+         dest="${maven.repo.local}/org/jruby/jcodings/jcodings/1.0.10/jcodings-1.0.10.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/org/jruby/jcodings/jcodings/1.0.10/jcodings-1.0.10.jar" 
+         dest="${maven.repo.local}/org/jruby/jcodings/jcodings/1.0.10/jcodings-1.0.10.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/com/github/jnr/jnr-ffi/1.0.7"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//com/github/jnr/jnr-ffi/1.0.7/jnr-ffi-1.0.7.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-ffi/1.0.7/jnr-ffi-1.0.7.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/com/github/jnr/jnr-ffi/1.0.7/jnr-ffi-1.0.7.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-ffi/1.0.7/jnr-ffi-1.0.7.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/com/github/jnr/jnr-ffi/1.0.7/jnr-ffi-1.0.7.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-ffi/1.0.7/jnr-ffi-1.0.7.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/com/github/jnr/jffi/1.2.7"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//com/github/jnr/jffi/1.2.7/jffi-1.2.7.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jffi/1.2.7/jffi-1.2.7.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/com/github/jnr/jffi/1.2.7/jffi-1.2.7.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jffi/1.2.7/jffi-1.2.7.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/com/github/jnr/jffi/1.2.7/jffi-1.2.7.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jffi/1.2.7/jffi-1.2.7.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/com/github/jnr/jffi/1.2.7"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//com/github/jnr/jffi/1.2.7/jffi-1.2.7-native.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jffi/1.2.7/jffi-1.2.7-native.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/com/github/jnr/jffi/1.2.7/jffi-1.2.7-native.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jffi/1.2.7/jffi-1.2.7-native.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/com/github/jnr/jffi/1.2.7/jffi-1.2.7-native.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jffi/1.2.7/jffi-1.2.7-native.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/org/yaml/snakeyaml/1.13"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//org/yaml/snakeyaml/1.13/snakeyaml-1.13.jar" 
+         dest="${maven.repo.local}/org/yaml/snakeyaml/1.13/snakeyaml-1.13.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/org/yaml/snakeyaml/1.13/snakeyaml-1.13.jar" 
+         dest="${maven.repo.local}/org/yaml/snakeyaml/1.13/snakeyaml-1.13.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/org/yaml/snakeyaml/1.13/snakeyaml-1.13.jar" 
+         dest="${maven.repo.local}/org/yaml/snakeyaml/1.13/snakeyaml-1.13.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/com/jcraft/jzlib/1.1.2"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//com/jcraft/jzlib/1.1.2/jzlib-1.1.2.jar" 
+         dest="${maven.repo.local}/com/jcraft/jzlib/1.1.2/jzlib-1.1.2.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/com/jcraft/jzlib/1.1.2/jzlib-1.1.2.jar" 
+         dest="${maven.repo.local}/com/jcraft/jzlib/1.1.2/jzlib-1.1.2.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/com/jcraft/jzlib/1.1.2/jzlib-1.1.2.jar" 
+         dest="${maven.repo.local}/com/jcraft/jzlib/1.1.2/jzlib-1.1.2.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/com/headius/invokebinder/1.2"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//com/headius/invokebinder/1.2/invokebinder-1.2.jar" 
+         dest="${maven.repo.local}/com/headius/invokebinder/1.2/invokebinder-1.2.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/com/headius/invokebinder/1.2/invokebinder-1.2.jar" 
+         dest="${maven.repo.local}/com/headius/invokebinder/1.2/invokebinder-1.2.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/com/headius/invokebinder/1.2/invokebinder-1.2.jar" 
+         dest="${maven.repo.local}/com/headius/invokebinder/1.2/invokebinder-1.2.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/com/martiansoftware/nailgun-server/0.9.1"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//com/martiansoftware/nailgun-server/0.9.1/nailgun-server-0.9.1.jar" 
+         dest="${maven.repo.local}/com/martiansoftware/nailgun-server/0.9.1/nailgun-server-0.9.1.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/com/martiansoftware/nailgun-server/0.9.1/nailgun-server-0.9.1.jar" 
+         dest="${maven.repo.local}/com/martiansoftware/nailgun-server/0.9.1/nailgun-server-0.9.1.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/com/martiansoftware/nailgun-server/0.9.1/nailgun-server-0.9.1.jar" 
+         dest="${maven.repo.local}/com/martiansoftware/nailgun-server/0.9.1/nailgun-server-0.9.1.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/org/jruby/yecht/1.0"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//org/jruby/yecht/1.0/yecht-1.0.jar" 
+         dest="${maven.repo.local}/org/jruby/yecht/1.0/yecht-1.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/org/jruby/yecht/1.0/yecht-1.0.jar" 
+         dest="${maven.repo.local}/org/jruby/yecht/1.0/yecht-1.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/org/jruby/yecht/1.0/yecht-1.0.jar" 
+         dest="${maven.repo.local}/org/jruby/yecht/1.0/yecht-1.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/joda-time/joda-time/2.3"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//joda-time/joda-time/2.3/joda-time-2.3.jar" 
+         dest="${maven.repo.local}/joda-time/joda-time/2.3/joda-time-2.3.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/joda-time/joda-time/2.3/joda-time-2.3.jar" 
+         dest="${maven.repo.local}/joda-time/joda-time/2.3/joda-time-2.3.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/joda-time/joda-time/2.3/joda-time-2.3.jar" 
+         dest="${maven.repo.local}/joda-time/joda-time/2.3/joda-time-2.3.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/com/headius/options/1.1"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//com/headius/options/1.1/options-1.1.jar" 
+         dest="${maven.repo.local}/com/headius/options/1.1/options-1.1.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/com/headius/options/1.1/options-1.1.jar" 
+         dest="${maven.repo.local}/com/headius/options/1.1/options-1.1.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/com/headius/options/1.1/options-1.1.jar" 
+         dest="${maven.repo.local}/com/headius/options/1.1/options-1.1.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+  </target>
+
+</project>
--- /dev/null
+++ b/ext/readline/build.xml
@@ -0,0 +1,23 @@
+<?xml version="1.0" encoding="UTF-8"?>
+
+<!-- ====================================================================== -->
+<!-- Ant build file (http://ant.apache.org/) for Ant 1.6.2 or above.        -->
+<!-- ====================================================================== -->
+
+<project name="readline" default="package" basedir=".">
+
+  <!-- ====================================================================== -->
+  <!-- Import maven-build.xml into the current project                        -->
+  <!-- ====================================================================== -->
+
+  <import file="maven-build.xml"/>
+  
+  <!-- ====================================================================== -->
+  <!-- Help target                                                            -->
+  <!-- ====================================================================== -->
+
+  <target name="help">
+    <echo message="Please run: $ant -projecthelp"/>
+  </target>
+
+</project>
--- /dev/null
+++ b/ext/readline/maven-build.properties
@@ -0,0 +1,60 @@
+#Generated by Maven Ant Plugin - DO NOT EDIT THIS FILE!
+#Mon Apr 21 23:39:38 CEST 2014
+maven.build.testDir.0=src/test/java
+version.ruby=1.8.7
+bc.version=1.5.0147
+rspec-mocks.version=2.14.1
+jffi.version=1.2.7
+maven.settings.offline=false
+ant.version=1.9.2
+jopenssl.version=0.9.3
+version.ruby2_0.revision=40734
+base.javac.version=1.6
+version.ruby2_0.patchlevel=195
+maven.settings.interactiveMode=true
+asm.version=4.0
+version.jruby=1.0
+minitest.version=5.0.7
+maven.reporting.outputDirectory=${maven.build.dir}/site
+version.ruby1_9.patchlevel=3922
+version.ruby.minor=7
+version.ruby.patchlevel=370
+version.ruby2_0=2.0.0
+project.build.sourceEncoding=UTF-8
+maven.build.testOutputDir=${maven.build.dir}/test-classes
+version.ruby1_9=1.9.3
+maven.build.finalName=readline-1.0
+rspec.version=2.14.1
+maven.test.reports=${maven.build.dir}/test-reports
+rspec-expectations.version=2.14.0
+krypt.version=0.0.2.rc1
+version.ruby.major=1.8
+version.ruby1_9.major=1.9
+version.ruby1_9.revision=39386
+minitest-excludes.version=1.0.2
+base.java.version=1.6
+maven.repo.local=${user.home}/.m2/repository
+maven.build.dir=target
+rake.version=10.1.0
+maven.build.outputDir=${maven.build.dir}/classes
+jruby.basedir=/var/tmp/portage/dev-java/jruby-1.7.12/work/jruby-1.7.12/ext/readline
+project.build.directory=${maven.build.dir}
+maven.build.resourceDir.0=src/main/resources
+main.basedir=${project.parent.parent.basedir}
+github.global.server=github
+diff-lcs.version=1.1.3
+jruby.plugins.version=1.0.0-rc4
+maven.build.srcDir.0=src/main/java
+json.version=1.8.0
+rspec-core.version=2.14.2
+rdoc.version=4.0.1
+maven.build.testResourceDir.0=src/test/resources
+bundle.name=JRuby
+sonatypeOssDistMgmtSnapshotsUrl=https\://oss.sonatype.org/content/repositories/snapshots/
+bundle.symbolic_name=org.jruby.jruby
+version.ruby2_0.major=2.0
+bouncy-castle.version=1.47
+joda.time.version=2.3
+project.build.outputDirectory=${maven.build.outputDir}
+readline.dir=/var/tmp/portage/dev-java/jruby-1.7.12/work/jruby-1.7.12/ext/readline/../../lib/ruby/shared/readline
+jruby-launcher.version=1.0.19
--- /dev/null
+++ b/ext/readline/maven-build.xml
@@ -0,0 +1,613 @@
+<?xml version="1.0" encoding="UTF-8"?>
+
+<!-- ====================================================================== -->
+<!-- Ant build file (http://ant.apache.org/) for Ant 1.6.2 or above.        -->
+<!-- ====================================================================== -->
+
+<!-- ====================================================================== -->
+<!-- ===================== - DO NOT EDIT THIS FILE! - ===================== -->
+<!-- ====================================================================== -->
+<!--                                                                        -->
+<!-- Any modifications will be overwritten.                                 -->
+<!--                                                                        -->
+<!-- Generated by Maven Ant Plugin on 4/21/14 11:39 PM                      -->
+<!-- See: http://maven.apache.org/plugins/maven-ant-plugin/                 -->
+<!--                                                                        -->
+<!-- ====================================================================== -->
+
+<project name="readline-from-maven" default="package" basedir=".">
+
+  <!-- ====================================================================== -->
+  <!-- Build environment properties                                           -->
+  <!-- ====================================================================== -->
+
+  <property file="${user.home}/.m2/maven.properties"/>
+  <property file="maven-build.properties"/>
+
+  <property name="maven.build.finalName" value="readline-1.0"/>
+  <property name="maven.build.dir" value="target"/>
+  <property name="maven.build.outputDir" value="${maven.build.dir}/classes"/>
+  <property name="maven.build.srcDir.0" value="src/main/java"/>
+  <property name="maven.build.resourceDir.0" value="src/main/resources"/>
+  <property name="maven.build.testOutputDir" value="${maven.build.dir}/test-classes"/>
+  <property name="maven.build.testDir.0" value="src/test/java"/>
+  <property name="maven.build.testResourceDir.0" value="src/test/resources"/>
+  <property name="maven.test.reports" value="${maven.build.dir}/test-reports"/>
+  <property name="maven.reporting.outputDirectory" value="${maven.build.dir}/site"/>
+
+  <property name="maven.repo.local" value="${user.home}/.m2/repository"/>
+  <property name="maven.settings.offline" value="false"/>
+  <property name="maven.settings.interactiveMode" value="true"/>
+
+  <!-- ====================================================================== -->
+  <!-- Defining classpaths                                                    -->
+  <!-- ====================================================================== -->
+
+  <path id="build.classpath">
+    <pathelement location="${maven.repo.local}/org/jruby/jruby-core/1.7.12/jruby-core-1.7.12.jar"/>
+    <pathelement location="${maven.repo.local}/org/ow2/asm/asm/4.0/asm-4.0.jar"/>
+    <pathelement location="${maven.repo.local}/org/ow2/asm/asm-commons/4.0/asm-commons-4.0.jar"/>
+    <pathelement location="${maven.repo.local}/org/ow2/asm/asm-tree/4.0/asm-tree-4.0.jar"/>
+    <pathelement location="${maven.repo.local}/org/ow2/asm/asm-analysis/4.0/asm-analysis-4.0.jar"/>
+    <pathelement location="${maven.repo.local}/org/ow2/asm/asm-util/4.0/asm-util-4.0.jar"/>
+    <pathelement location="${maven.repo.local}/org/jruby/joni/joni/2.1.1/joni-2.1.1.jar"/>
+    <pathelement location="${maven.repo.local}/com/github/jnr/jnr-netdb/1.1.2/jnr-netdb-1.1.2.jar"/>
+    <pathelement location="${maven.repo.local}/com/github/jnr/jnr-enxio/0.4/jnr-enxio-0.4.jar"/>
+    <pathelement location="${maven.repo.local}/com/github/jnr/jnr-x86asm/1.0.2/jnr-x86asm-1.0.2.jar"/>
+    <pathelement location="${maven.repo.local}/com/github/jnr/jnr-unixsocket/0.3/jnr-unixsocket-0.3.jar"/>
+    <pathelement location="${maven.repo.local}/com/github/jnr/jnr-posix/3.0.1/jnr-posix-3.0.1.jar"/>
+    <pathelement location="${maven.repo.local}/org/jruby/extras/bytelist/1.0.11/bytelist-1.0.11.jar"/>
+    <pathelement location="${maven.repo.local}/com/github/jnr/jnr-constants/0.8.5/jnr-constants-0.8.5.jar"/>
+    <pathelement location="${maven.repo.local}/org/jruby/jcodings/jcodings/1.0.10/jcodings-1.0.10.jar"/>
+    <pathelement location="${maven.repo.local}/com/github/jnr/jnr-ffi/1.0.7/jnr-ffi-1.0.7.jar"/>
+    <pathelement location="${maven.repo.local}/com/github/jnr/jffi/1.2.7/jffi-1.2.7.jar"/>
+    <pathelement location="${maven.repo.local}/com/github/jnr/jffi/1.2.7/jffi-1.2.7-native.jar"/>
+    <pathelement location="${maven.repo.local}/org/yaml/snakeyaml/1.13/snakeyaml-1.13.jar"/>
+    <pathelement location="${maven.repo.local}/com/jcraft/jzlib/1.1.2/jzlib-1.1.2.jar"/>
+    <pathelement location="${maven.repo.local}/com/headius/invokebinder/1.2/invokebinder-1.2.jar"/>
+    <pathelement location="${maven.repo.local}/com/martiansoftware/nailgun-server/0.9.1/nailgun-server-0.9.1.jar"/>
+    <pathelement location="${maven.repo.local}/org/jruby/yecht/1.0/yecht-1.0.jar"/>
+    <pathelement location="${maven.repo.local}/joda-time/joda-time/2.3/joda-time-2.3.jar"/>
+    <pathelement location="${maven.repo.local}/com/headius/options/1.1/options-1.1.jar"/>
+    <pathelement location="${maven.repo.local}/jline/jline/2.11/jline-2.11.jar"/>
+    <pathelement location="${jruby.basedir}/../../core/target/jruby-core-GENTOO_JRUY_VER.jar"/>
+  </path>
+  <path id="build.test.classpath">
+    <pathelement location="${maven.repo.local}/junit/junit/4.11/junit-4.11.jar"/>
+    <pathelement location="${maven.repo.local}/org/hamcrest/hamcrest-core/1.3/hamcrest-core-1.3.jar"/>
+    <pathelement location="${maven.repo.local}/org/jruby/jruby-core/1.7.12/jruby-core-1.7.12.jar"/>
+    <pathelement location="${maven.repo.local}/org/ow2/asm/asm/4.0/asm-4.0.jar"/>
+    <pathelement location="${maven.repo.local}/org/ow2/asm/asm-commons/4.0/asm-commons-4.0.jar"/>
+    <pathelement location="${maven.repo.local}/org/ow2/asm/asm-tree/4.0/asm-tree-4.0.jar"/>
+    <pathelement location="${maven.repo.local}/org/ow2/asm/asm-analysis/4.0/asm-analysis-4.0.jar"/>
+    <pathelement location="${maven.repo.local}/org/ow2/asm/asm-util/4.0/asm-util-4.0.jar"/>
+    <pathelement location="${maven.repo.local}/org/jruby/joni/joni/2.1.1/joni-2.1.1.jar"/>
+    <pathelement location="${maven.repo.local}/com/github/jnr/jnr-netdb/1.1.2/jnr-netdb-1.1.2.jar"/>
+    <pathelement location="${maven.repo.local}/com/github/jnr/jnr-enxio/0.4/jnr-enxio-0.4.jar"/>
+    <pathelement location="${maven.repo.local}/com/github/jnr/jnr-x86asm/1.0.2/jnr-x86asm-1.0.2.jar"/>
+    <pathelement location="${maven.repo.local}/com/github/jnr/jnr-unixsocket/0.3/jnr-unixsocket-0.3.jar"/>
+    <pathelement location="${maven.repo.local}/com/github/jnr/jnr-posix/3.0.1/jnr-posix-3.0.1.jar"/>
+    <pathelement location="${maven.repo.local}/org/jruby/extras/bytelist/1.0.11/bytelist-1.0.11.jar"/>
+    <pathelement location="${maven.repo.local}/com/github/jnr/jnr-constants/0.8.5/jnr-constants-0.8.5.jar"/>
+    <pathelement location="${maven.repo.local}/org/jruby/jcodings/jcodings/1.0.10/jcodings-1.0.10.jar"/>
+    <pathelement location="${maven.repo.local}/com/github/jnr/jnr-ffi/1.0.7/jnr-ffi-1.0.7.jar"/>
+    <pathelement location="${maven.repo.local}/com/github/jnr/jffi/1.2.7/jffi-1.2.7.jar"/>
+    <pathelement location="${maven.repo.local}/com/github/jnr/jffi/1.2.7/jffi-1.2.7-native.jar"/>
+    <pathelement location="${maven.repo.local}/org/yaml/snakeyaml/1.13/snakeyaml-1.13.jar"/>
+    <pathelement location="${maven.repo.local}/com/jcraft/jzlib/1.1.2/jzlib-1.1.2.jar"/>
+    <pathelement location="${maven.repo.local}/com/headius/invokebinder/1.2/invokebinder-1.2.jar"/>
+    <pathelement location="${maven.repo.local}/com/martiansoftware/nailgun-server/0.9.1/nailgun-server-0.9.1.jar"/>
+    <pathelement location="${maven.repo.local}/org/jruby/yecht/1.0/yecht-1.0.jar"/>
+    <pathelement location="${maven.repo.local}/joda-time/joda-time/2.3/joda-time-2.3.jar"/>
+    <pathelement location="${maven.repo.local}/com/headius/options/1.1/options-1.1.jar"/>
+    <pathelement location="${maven.repo.local}/jline/jline/2.11/jline-2.11.jar"/>
+    <pathelement location="${jruby.basedir}/../../core/target/jruby-core-GENTOO_JRUY_VER.jar"/>
+  </path>
+
+  <!-- ====================================================================== -->
+  <!-- Cleaning up target                                                     -->
+  <!-- ====================================================================== -->
+
+  <target name="clean" description="Clean the output directory">
+    <delete dir="${maven.build.dir}"/>
+  </target>
+
+  <!-- ====================================================================== -->
+  <!-- Compilation target                                                     -->
+  <!-- ====================================================================== -->
+
+  <target name="compile" depends="get-deps" description="Compile the code">
+    <mkdir dir="${maven.build.outputDir}"/>
+    <javac destdir="${maven.build.outputDir}" 
+           encoding="utf-8" 
+           nowarn="true" 
+           debug="true" 
+           optimize="false" 
+           deprecation="true" 
+           target="1.6" 
+           verbose="true" 
+           fork="true" 
+           source="1.6">
+      <src>
+        <pathelement location="${maven.build.srcDir.0}"/>
+      </src>
+      <classpath refid="build.classpath"/>
+    </javac>
+  </target>
+
+  <!-- ====================================================================== -->
+  <!-- Test-compilation target                                                -->
+  <!-- ====================================================================== -->
+
+  <target name="compile-tests" 
+          depends="compile" 
+          description="Compile the test code" 
+          unless="maven.test.skip">
+    <mkdir dir="${maven.build.testOutputDir}"/>
+  </target>
+
+  <!-- ====================================================================== -->
+  <!-- Run all tests                                                          -->
+  <!-- ====================================================================== -->
+
+  <target name="test" 
+          depends="compile-tests, junit-missing" 
+          unless="junit.skipped" 
+          description="Run the test cases"/>
+
+  <target name="test-junit-present">
+    <available classname="junit.framework.Test" property="junit.present"/>
+  </target>
+
+  <target name="test-junit-status" 
+          depends="test-junit-present">
+    <condition property="junit.missing">
+      <and>
+        <isfalse value="${junit.present}"/>
+        <isfalse value="${maven.test.skip}"/>
+      </and>
+    </condition>
+    <condition property="junit.skipped">
+      <or>
+        <isfalse value="${junit.present}"/>
+        <istrue value="${maven.test.skip}"/>
+      </or>
+    </condition>
+  </target>
+
+  <target name="junit-missing" 
+          depends="test-junit-status" 
+          if="junit.missing">
+    <echo>=================================== WARNING ===================================</echo>
+    <echo> JUnit is not present in your $ANT_HOME/lib directory. Tests not executed.</echo>
+    <echo>===============================================================================</echo>
+  </target>
+
+  <!-- ====================================================================== -->
+  <!-- Javadoc target                                                         -->
+  <!-- ====================================================================== -->
+
+  <target name="javadoc" description="Generates the Javadoc of the application">
+    <javadoc sourcepath="${maven.build.srcDir.0}" 
+             packagenames="*" 
+             destdir="${maven.reporting.outputDirectory}/apidocs" 
+             access="package" 
+             old="false" 
+             verbose="false" 
+             version="true" 
+             use="true" 
+             author="true" 
+             splitindex="false" 
+             nodeprecated="false" 
+             nodeprecatedlist="false" 
+             notree="false" 
+             noindex="false" 
+             nohelp="false" 
+             nonavbar="false" 
+             serialwarn="false" 
+             charset="ISO-8859-1" 
+             linksource="false" 
+             breakiterator="false" 
+             maxmemory="1g"/>
+  </target>
+
+  <!-- ====================================================================== -->
+  <!-- Package target                                                         -->
+  <!-- ====================================================================== -->
+
+  <target name="package" depends="compile,test" description="Package the application">
+    <jar jarfile="${maven.build.dir}/${maven.build.finalName}.jar" 
+         compress="true" 
+         index="false" 
+         basedir="${maven.build.outputDir}" 
+         excludes="**/package.html"/>
+  </target>
+
+  <!-- ====================================================================== -->
+  <!-- A dummy target for the package named after the type it creates         -->
+  <!-- ====================================================================== -->
+
+  <target name="jar" depends="package" description="Builds the jar for the application"/>
+
+  <!-- ====================================================================== -->
+  <!-- Download dependencies target                                           -->
+  <!-- ====================================================================== -->
+
+  <target name="test-offline">
+    <condition property="maven.mode.offline">
+      <equals arg1="${maven.settings.offline}" arg2="true"/>
+    </condition>
+  </target>
+
+  <target name="get-deps" 
+          depends="test-offline" 
+          description="Download all dependencies" 
+          unless="maven.mode.offline">
+    <mkdir dir="${maven.repo.local}"/>
+    <mkdir dir="${maven.repo.local}/junit/junit/4.11"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//junit/junit/4.11/junit-4.11.jar" 
+         dest="${maven.repo.local}/junit/junit/4.11/junit-4.11.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/junit/junit/4.11/junit-4.11.jar" 
+         dest="${maven.repo.local}/junit/junit/4.11/junit-4.11.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/junit/junit/4.11/junit-4.11.jar" 
+         dest="${maven.repo.local}/junit/junit/4.11/junit-4.11.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/org/hamcrest/hamcrest-core/1.3"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//org/hamcrest/hamcrest-core/1.3/hamcrest-core-1.3.jar" 
+         dest="${maven.repo.local}/org/hamcrest/hamcrest-core/1.3/hamcrest-core-1.3.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/org/hamcrest/hamcrest-core/1.3/hamcrest-core-1.3.jar" 
+         dest="${maven.repo.local}/org/hamcrest/hamcrest-core/1.3/hamcrest-core-1.3.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/org/hamcrest/hamcrest-core/1.3/hamcrest-core-1.3.jar" 
+         dest="${maven.repo.local}/org/hamcrest/hamcrest-core/1.3/hamcrest-core-1.3.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/org/jruby/jruby-core/1.7.12"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//org/jruby/jruby-core/1.7.12/jruby-core-1.7.12.jar" 
+         dest="${maven.repo.local}/org/jruby/jruby-core/1.7.12/jruby-core-1.7.12.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/org/jruby/jruby-core/1.7.12/jruby-core-1.7.12.jar" 
+         dest="${maven.repo.local}/org/jruby/jruby-core/1.7.12/jruby-core-1.7.12.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/org/jruby/jruby-core/1.7.12/jruby-core-1.7.12.jar" 
+         dest="${maven.repo.local}/org/jruby/jruby-core/1.7.12/jruby-core-1.7.12.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/org/ow2/asm/asm/4.0"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//org/ow2/asm/asm/4.0/asm-4.0.jar" 
+         dest="${maven.repo.local}/org/ow2/asm/asm/4.0/asm-4.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/org/ow2/asm/asm/4.0/asm-4.0.jar" 
+         dest="${maven.repo.local}/org/ow2/asm/asm/4.0/asm-4.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/org/ow2/asm/asm/4.0/asm-4.0.jar" 
+         dest="${maven.repo.local}/org/ow2/asm/asm/4.0/asm-4.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/org/ow2/asm/asm-commons/4.0"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//org/ow2/asm/asm-commons/4.0/asm-commons-4.0.jar" 
+         dest="${maven.repo.local}/org/ow2/asm/asm-commons/4.0/asm-commons-4.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/org/ow2/asm/asm-commons/4.0/asm-commons-4.0.jar" 
+         dest="${maven.repo.local}/org/ow2/asm/asm-commons/4.0/asm-commons-4.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/org/ow2/asm/asm-commons/4.0/asm-commons-4.0.jar" 
+         dest="${maven.repo.local}/org/ow2/asm/asm-commons/4.0/asm-commons-4.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/org/ow2/asm/asm-tree/4.0"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//org/ow2/asm/asm-tree/4.0/asm-tree-4.0.jar" 
+         dest="${maven.repo.local}/org/ow2/asm/asm-tree/4.0/asm-tree-4.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/org/ow2/asm/asm-tree/4.0/asm-tree-4.0.jar" 
+         dest="${maven.repo.local}/org/ow2/asm/asm-tree/4.0/asm-tree-4.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/org/ow2/asm/asm-tree/4.0/asm-tree-4.0.jar" 
+         dest="${maven.repo.local}/org/ow2/asm/asm-tree/4.0/asm-tree-4.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/org/ow2/asm/asm-analysis/4.0"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//org/ow2/asm/asm-analysis/4.0/asm-analysis-4.0.jar" 
+         dest="${maven.repo.local}/org/ow2/asm/asm-analysis/4.0/asm-analysis-4.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/org/ow2/asm/asm-analysis/4.0/asm-analysis-4.0.jar" 
+         dest="${maven.repo.local}/org/ow2/asm/asm-analysis/4.0/asm-analysis-4.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/org/ow2/asm/asm-analysis/4.0/asm-analysis-4.0.jar" 
+         dest="${maven.repo.local}/org/ow2/asm/asm-analysis/4.0/asm-analysis-4.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/org/ow2/asm/asm-util/4.0"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//org/ow2/asm/asm-util/4.0/asm-util-4.0.jar" 
+         dest="${maven.repo.local}/org/ow2/asm/asm-util/4.0/asm-util-4.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/org/ow2/asm/asm-util/4.0/asm-util-4.0.jar" 
+         dest="${maven.repo.local}/org/ow2/asm/asm-util/4.0/asm-util-4.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/org/ow2/asm/asm-util/4.0/asm-util-4.0.jar" 
+         dest="${maven.repo.local}/org/ow2/asm/asm-util/4.0/asm-util-4.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/org/jruby/joni/joni/2.1.1"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//org/jruby/joni/joni/2.1.1/joni-2.1.1.jar" 
+         dest="${maven.repo.local}/org/jruby/joni/joni/2.1.1/joni-2.1.1.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/org/jruby/joni/joni/2.1.1/joni-2.1.1.jar" 
+         dest="${maven.repo.local}/org/jruby/joni/joni/2.1.1/joni-2.1.1.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/org/jruby/joni/joni/2.1.1/joni-2.1.1.jar" 
+         dest="${maven.repo.local}/org/jruby/joni/joni/2.1.1/joni-2.1.1.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/com/github/jnr/jnr-netdb/1.1.2"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//com/github/jnr/jnr-netdb/1.1.2/jnr-netdb-1.1.2.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-netdb/1.1.2/jnr-netdb-1.1.2.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/com/github/jnr/jnr-netdb/1.1.2/jnr-netdb-1.1.2.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-netdb/1.1.2/jnr-netdb-1.1.2.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/com/github/jnr/jnr-netdb/1.1.2/jnr-netdb-1.1.2.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-netdb/1.1.2/jnr-netdb-1.1.2.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/com/github/jnr/jnr-enxio/0.4"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//com/github/jnr/jnr-enxio/0.4/jnr-enxio-0.4.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-enxio/0.4/jnr-enxio-0.4.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/com/github/jnr/jnr-enxio/0.4/jnr-enxio-0.4.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-enxio/0.4/jnr-enxio-0.4.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/com/github/jnr/jnr-enxio/0.4/jnr-enxio-0.4.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-enxio/0.4/jnr-enxio-0.4.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/com/github/jnr/jnr-x86asm/1.0.2"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//com/github/jnr/jnr-x86asm/1.0.2/jnr-x86asm-1.0.2.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-x86asm/1.0.2/jnr-x86asm-1.0.2.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/com/github/jnr/jnr-x86asm/1.0.2/jnr-x86asm-1.0.2.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-x86asm/1.0.2/jnr-x86asm-1.0.2.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/com/github/jnr/jnr-x86asm/1.0.2/jnr-x86asm-1.0.2.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-x86asm/1.0.2/jnr-x86asm-1.0.2.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/com/github/jnr/jnr-unixsocket/0.3"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//com/github/jnr/jnr-unixsocket/0.3/jnr-unixsocket-0.3.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-unixsocket/0.3/jnr-unixsocket-0.3.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/com/github/jnr/jnr-unixsocket/0.3/jnr-unixsocket-0.3.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-unixsocket/0.3/jnr-unixsocket-0.3.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/com/github/jnr/jnr-unixsocket/0.3/jnr-unixsocket-0.3.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-unixsocket/0.3/jnr-unixsocket-0.3.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/com/github/jnr/jnr-posix/3.0.1"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//com/github/jnr/jnr-posix/3.0.1/jnr-posix-3.0.1.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-posix/3.0.1/jnr-posix-3.0.1.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/com/github/jnr/jnr-posix/3.0.1/jnr-posix-3.0.1.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-posix/3.0.1/jnr-posix-3.0.1.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/com/github/jnr/jnr-posix/3.0.1/jnr-posix-3.0.1.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-posix/3.0.1/jnr-posix-3.0.1.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/org/jruby/extras/bytelist/1.0.11"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//org/jruby/extras/bytelist/1.0.11/bytelist-1.0.11.jar" 
+         dest="${maven.repo.local}/org/jruby/extras/bytelist/1.0.11/bytelist-1.0.11.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/org/jruby/extras/bytelist/1.0.11/bytelist-1.0.11.jar" 
+         dest="${maven.repo.local}/org/jruby/extras/bytelist/1.0.11/bytelist-1.0.11.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/org/jruby/extras/bytelist/1.0.11/bytelist-1.0.11.jar" 
+         dest="${maven.repo.local}/org/jruby/extras/bytelist/1.0.11/bytelist-1.0.11.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/com/github/jnr/jnr-constants/0.8.5"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//com/github/jnr/jnr-constants/0.8.5/jnr-constants-0.8.5.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-constants/0.8.5/jnr-constants-0.8.5.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/com/github/jnr/jnr-constants/0.8.5/jnr-constants-0.8.5.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-constants/0.8.5/jnr-constants-0.8.5.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/com/github/jnr/jnr-constants/0.8.5/jnr-constants-0.8.5.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-constants/0.8.5/jnr-constants-0.8.5.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/org/jruby/jcodings/jcodings/1.0.10"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//org/jruby/jcodings/jcodings/1.0.10/jcodings-1.0.10.jar" 
+         dest="${maven.repo.local}/org/jruby/jcodings/jcodings/1.0.10/jcodings-1.0.10.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/org/jruby/jcodings/jcodings/1.0.10/jcodings-1.0.10.jar" 
+         dest="${maven.repo.local}/org/jruby/jcodings/jcodings/1.0.10/jcodings-1.0.10.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/org/jruby/jcodings/jcodings/1.0.10/jcodings-1.0.10.jar" 
+         dest="${maven.repo.local}/org/jruby/jcodings/jcodings/1.0.10/jcodings-1.0.10.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/com/github/jnr/jnr-ffi/1.0.7"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//com/github/jnr/jnr-ffi/1.0.7/jnr-ffi-1.0.7.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-ffi/1.0.7/jnr-ffi-1.0.7.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/com/github/jnr/jnr-ffi/1.0.7/jnr-ffi-1.0.7.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-ffi/1.0.7/jnr-ffi-1.0.7.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/com/github/jnr/jnr-ffi/1.0.7/jnr-ffi-1.0.7.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-ffi/1.0.7/jnr-ffi-1.0.7.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/com/github/jnr/jffi/1.2.7"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//com/github/jnr/jffi/1.2.7/jffi-1.2.7.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jffi/1.2.7/jffi-1.2.7.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/com/github/jnr/jffi/1.2.7/jffi-1.2.7.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jffi/1.2.7/jffi-1.2.7.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/com/github/jnr/jffi/1.2.7/jffi-1.2.7.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jffi/1.2.7/jffi-1.2.7.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/com/github/jnr/jffi/1.2.7"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//com/github/jnr/jffi/1.2.7/jffi-1.2.7-native.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jffi/1.2.7/jffi-1.2.7-native.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/com/github/jnr/jffi/1.2.7/jffi-1.2.7-native.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jffi/1.2.7/jffi-1.2.7-native.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/com/github/jnr/jffi/1.2.7/jffi-1.2.7-native.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jffi/1.2.7/jffi-1.2.7-native.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/org/yaml/snakeyaml/1.13"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//org/yaml/snakeyaml/1.13/snakeyaml-1.13.jar" 
+         dest="${maven.repo.local}/org/yaml/snakeyaml/1.13/snakeyaml-1.13.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/org/yaml/snakeyaml/1.13/snakeyaml-1.13.jar" 
+         dest="${maven.repo.local}/org/yaml/snakeyaml/1.13/snakeyaml-1.13.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/org/yaml/snakeyaml/1.13/snakeyaml-1.13.jar" 
+         dest="${maven.repo.local}/org/yaml/snakeyaml/1.13/snakeyaml-1.13.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/com/jcraft/jzlib/1.1.2"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//com/jcraft/jzlib/1.1.2/jzlib-1.1.2.jar" 
+         dest="${maven.repo.local}/com/jcraft/jzlib/1.1.2/jzlib-1.1.2.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/com/jcraft/jzlib/1.1.2/jzlib-1.1.2.jar" 
+         dest="${maven.repo.local}/com/jcraft/jzlib/1.1.2/jzlib-1.1.2.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/com/jcraft/jzlib/1.1.2/jzlib-1.1.2.jar" 
+         dest="${maven.repo.local}/com/jcraft/jzlib/1.1.2/jzlib-1.1.2.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/com/headius/invokebinder/1.2"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//com/headius/invokebinder/1.2/invokebinder-1.2.jar" 
+         dest="${maven.repo.local}/com/headius/invokebinder/1.2/invokebinder-1.2.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/com/headius/invokebinder/1.2/invokebinder-1.2.jar" 
+         dest="${maven.repo.local}/com/headius/invokebinder/1.2/invokebinder-1.2.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/com/headius/invokebinder/1.2/invokebinder-1.2.jar" 
+         dest="${maven.repo.local}/com/headius/invokebinder/1.2/invokebinder-1.2.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/com/martiansoftware/nailgun-server/0.9.1"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//com/martiansoftware/nailgun-server/0.9.1/nailgun-server-0.9.1.jar" 
+         dest="${maven.repo.local}/com/martiansoftware/nailgun-server/0.9.1/nailgun-server-0.9.1.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/com/martiansoftware/nailgun-server/0.9.1/nailgun-server-0.9.1.jar" 
+         dest="${maven.repo.local}/com/martiansoftware/nailgun-server/0.9.1/nailgun-server-0.9.1.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/com/martiansoftware/nailgun-server/0.9.1/nailgun-server-0.9.1.jar" 
+         dest="${maven.repo.local}/com/martiansoftware/nailgun-server/0.9.1/nailgun-server-0.9.1.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/org/jruby/yecht/1.0"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//org/jruby/yecht/1.0/yecht-1.0.jar" 
+         dest="${maven.repo.local}/org/jruby/yecht/1.0/yecht-1.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/org/jruby/yecht/1.0/yecht-1.0.jar" 
+         dest="${maven.repo.local}/org/jruby/yecht/1.0/yecht-1.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/org/jruby/yecht/1.0/yecht-1.0.jar" 
+         dest="${maven.repo.local}/org/jruby/yecht/1.0/yecht-1.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/joda-time/joda-time/2.3"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//joda-time/joda-time/2.3/joda-time-2.3.jar" 
+         dest="${maven.repo.local}/joda-time/joda-time/2.3/joda-time-2.3.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/joda-time/joda-time/2.3/joda-time-2.3.jar" 
+         dest="${maven.repo.local}/joda-time/joda-time/2.3/joda-time-2.3.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/joda-time/joda-time/2.3/joda-time-2.3.jar" 
+         dest="${maven.repo.local}/joda-time/joda-time/2.3/joda-time-2.3.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/com/headius/options/1.1"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//com/headius/options/1.1/options-1.1.jar" 
+         dest="${maven.repo.local}/com/headius/options/1.1/options-1.1.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/com/headius/options/1.1/options-1.1.jar" 
+         dest="${maven.repo.local}/com/headius/options/1.1/options-1.1.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/com/headius/options/1.1/options-1.1.jar" 
+         dest="${maven.repo.local}/com/headius/options/1.1/options-1.1.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/jline/jline/2.11"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//jline/jline/2.11/jline-2.11.jar" 
+         dest="${maven.repo.local}/jline/jline/2.11/jline-2.11.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/jline/jline/2.11/jline-2.11.jar" 
+         dest="${maven.repo.local}/jline/jline/2.11/jline-2.11.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/jline/jline/2.11/jline-2.11.jar" 
+         dest="${maven.repo.local}/jline/jline/2.11/jline-2.11.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+  </target>
+
+</project>
--- /dev/null
+++ b/ext/ripper/build.xml
@@ -0,0 +1,23 @@
+<?xml version="1.0" encoding="UTF-8"?>
+
+<!-- ====================================================================== -->
+<!-- Ant build file (http://ant.apache.org/) for Ant 1.6.2 or above.        -->
+<!-- ====================================================================== -->
+
+<project name="ripper" default="package" basedir=".">
+
+  <!-- ====================================================================== -->
+  <!-- Import maven-build.xml into the current project                        -->
+  <!-- ====================================================================== -->
+
+  <import file="maven-build.xml"/>
+  
+  <!-- ====================================================================== -->
+  <!-- Help target                                                            -->
+  <!-- ====================================================================== -->
+
+  <target name="help">
+    <echo message="Please run: $ant -projecthelp"/>
+  </target>
+
+</project>
--- /dev/null
+++ b/ext/ripper/maven-build.properties
@@ -0,0 +1,60 @@
+#Generated by Maven Ant Plugin - DO NOT EDIT THIS FILE!
+#Mon Apr 21 23:39:38 CEST 2014
+maven.build.testDir.0=src/test/java
+version.ruby=1.8.7
+bc.version=1.5.0147
+rspec-mocks.version=2.14.1
+jffi.version=1.2.7
+maven.settings.offline=false
+ant.version=1.9.2
+jopenssl.version=0.9.3
+version.ruby2_0.revision=40734
+base.javac.version=1.6
+version.ruby2_0.patchlevel=195
+maven.settings.interactiveMode=true
+asm.version=4.0
+version.jruby=1.7.12
+minitest.version=5.0.7
+maven.reporting.outputDirectory=${maven.build.dir}/site
+version.ruby1_9.patchlevel=3922
+version.ruby.minor=7
+version.ruby.patchlevel=370
+version.ruby2_0=2.0.0
+project.build.sourceEncoding=UTF-8
+maven.build.testOutputDir=${maven.build.dir}/test-classes
+version.ruby1_9=1.9.3
+maven.build.finalName=ripper-1.7.12
+rspec.version=2.14.1
+maven.test.reports=${maven.build.dir}/test-reports
+rspec-expectations.version=2.14.0
+krypt.version=0.0.2.rc1
+version.ruby.major=1.8
+version.ruby1_9.major=1.9
+version.ruby1_9.revision=39386
+minitest-excludes.version=1.0.2
+base.java.version=1.6
+maven.repo.local=${user.home}/.m2/repository
+maven.build.dir=target
+rake.version=10.1.0
+maven.build.outputDir=${maven.build.dir}/classes
+jruby.basedir=/var/tmp/portage/dev-java/jruby-1.7.12/work/jruby-1.7.12/ext/ripper
+project.build.directory=${maven.build.dir}
+maven.build.resourceDir.0=src/main/resources
+main.basedir=${project.parent.parent.basedir}
+github.global.server=github
+diff-lcs.version=1.1.3
+jruby.plugins.version=1.0.0-rc4
+shared.dir=/var/tmp/portage/dev-java/jruby-1.7.12/work/jruby-1.7.12/ext/ripper/../../lib/ruby/shared
+maven.build.srcDir.0=src/main/java
+json.version=1.8.0
+rspec-core.version=2.14.2
+rdoc.version=4.0.1
+maven.build.testResourceDir.0=src/test/resources
+bundle.name=JRuby
+sonatypeOssDistMgmtSnapshotsUrl=https\://oss.sonatype.org/content/repositories/snapshots/
+bundle.symbolic_name=org.jruby.jruby
+version.ruby2_0.major=2.0
+bouncy-castle.version=1.47
+joda.time.version=2.3
+project.build.outputDirectory=${maven.build.outputDir}
+jruby-launcher.version=1.0.19
--- /dev/null
+++ b/ext/ripper/maven-build.xml
@@ -0,0 +1,598 @@
+<?xml version="1.0" encoding="UTF-8"?>
+
+<!-- ====================================================================== -->
+<!-- Ant build file (http://ant.apache.org/) for Ant 1.6.2 or above.        -->
+<!-- ====================================================================== -->
+
+<!-- ====================================================================== -->
+<!-- ===================== - DO NOT EDIT THIS FILE! - ===================== -->
+<!-- ====================================================================== -->
+<!--                                                                        -->
+<!-- Any modifications will be overwritten.                                 -->
+<!--                                                                        -->
+<!-- Generated by Maven Ant Plugin on 4/21/14 11:39 PM                      -->
+<!-- See: http://maven.apache.org/plugins/maven-ant-plugin/                 -->
+<!--                                                                        -->
+<!-- ====================================================================== -->
+
+<project name="ripper-from-maven" default="package" basedir=".">
+
+  <!-- ====================================================================== -->
+  <!-- Build environment properties                                           -->
+  <!-- ====================================================================== -->
+
+  <property file="${user.home}/.m2/maven.properties"/>
+  <property file="maven-build.properties"/>
+
+  <property name="maven.build.finalName" value="ripper-1.7.12"/>
+  <property name="maven.build.dir" value="target"/>
+  <property name="maven.build.outputDir" value="${maven.build.dir}/classes"/>
+  <property name="maven.build.srcDir.0" value="src/main/java"/>
+  <property name="maven.build.resourceDir.0" value="src/main/resources"/>
+  <property name="maven.build.testOutputDir" value="${maven.build.dir}/test-classes"/>
+  <property name="maven.build.testDir.0" value="src/test/java"/>
+  <property name="maven.build.testResourceDir.0" value="src/test/resources"/>
+  <property name="maven.test.reports" value="${maven.build.dir}/test-reports"/>
+  <property name="maven.reporting.outputDirectory" value="${maven.build.dir}/site"/>
+
+  <property name="maven.repo.local" value="${user.home}/.m2/repository"/>
+  <property name="maven.settings.offline" value="false"/>
+  <property name="maven.settings.interactiveMode" value="true"/>
+
+  <!-- ====================================================================== -->
+  <!-- Defining classpaths                                                    -->
+  <!-- ====================================================================== -->
+
+  <path id="build.classpath">
+    <pathelement location="${maven.repo.local}/org/jruby/jruby-core/1.7.12/jruby-core-1.7.12.jar"/>
+    <pathelement location="${maven.repo.local}/org/ow2/asm/asm/4.0/asm-4.0.jar"/>
+    <pathelement location="${maven.repo.local}/org/ow2/asm/asm-commons/4.0/asm-commons-4.0.jar"/>
+    <pathelement location="${maven.repo.local}/org/ow2/asm/asm-tree/4.0/asm-tree-4.0.jar"/>
+    <pathelement location="${maven.repo.local}/org/ow2/asm/asm-analysis/4.0/asm-analysis-4.0.jar"/>
+    <pathelement location="${maven.repo.local}/org/ow2/asm/asm-util/4.0/asm-util-4.0.jar"/>
+    <pathelement location="${maven.repo.local}/org/jruby/joni/joni/2.1.1/joni-2.1.1.jar"/>
+    <pathelement location="${maven.repo.local}/com/github/jnr/jnr-netdb/1.1.2/jnr-netdb-1.1.2.jar"/>
+    <pathelement location="${maven.repo.local}/com/github/jnr/jnr-enxio/0.4/jnr-enxio-0.4.jar"/>
+    <pathelement location="${maven.repo.local}/com/github/jnr/jnr-x86asm/1.0.2/jnr-x86asm-1.0.2.jar"/>
+    <pathelement location="${maven.repo.local}/com/github/jnr/jnr-unixsocket/0.3/jnr-unixsocket-0.3.jar"/>
+    <pathelement location="${maven.repo.local}/com/github/jnr/jnr-posix/3.0.1/jnr-posix-3.0.1.jar"/>
+    <pathelement location="${maven.repo.local}/org/jruby/extras/bytelist/1.0.11/bytelist-1.0.11.jar"/>
+    <pathelement location="${maven.repo.local}/com/github/jnr/jnr-constants/0.8.5/jnr-constants-0.8.5.jar"/>
+    <pathelement location="${maven.repo.local}/org/jruby/jcodings/jcodings/1.0.10/jcodings-1.0.10.jar"/>
+    <pathelement location="${maven.repo.local}/com/github/jnr/jnr-ffi/1.0.7/jnr-ffi-1.0.7.jar"/>
+    <pathelement location="${maven.repo.local}/com/github/jnr/jffi/1.2.7/jffi-1.2.7.jar"/>
+    <pathelement location="${maven.repo.local}/com/github/jnr/jffi/1.2.7/jffi-1.2.7-native.jar"/>
+    <pathelement location="${maven.repo.local}/org/yaml/snakeyaml/1.13/snakeyaml-1.13.jar"/>
+    <pathelement location="${maven.repo.local}/com/jcraft/jzlib/1.1.2/jzlib-1.1.2.jar"/>
+    <pathelement location="${maven.repo.local}/com/headius/invokebinder/1.2/invokebinder-1.2.jar"/>
+    <pathelement location="${maven.repo.local}/com/martiansoftware/nailgun-server/0.9.1/nailgun-server-0.9.1.jar"/>
+    <pathelement location="${maven.repo.local}/org/jruby/yecht/1.0/yecht-1.0.jar"/>
+    <pathelement location="${maven.repo.local}/joda-time/joda-time/2.3/joda-time-2.3.jar"/>
+    <pathelement location="${maven.repo.local}/com/headius/options/1.1/options-1.1.jar"/>
+    <pathelement location="${jruby.basedir}/../../core/target/jruby-core-GENTOO_JRUY_VER.jar"/>
+  </path>
+  <path id="build.test.classpath">
+    <pathelement location="${maven.repo.local}/junit/junit/4.11/junit-4.11.jar"/>
+    <pathelement location="${maven.repo.local}/org/hamcrest/hamcrest-core/1.3/hamcrest-core-1.3.jar"/>
+    <pathelement location="${maven.repo.local}/org/jruby/jruby-core/1.7.12/jruby-core-1.7.12.jar"/>
+    <pathelement location="${maven.repo.local}/org/ow2/asm/asm/4.0/asm-4.0.jar"/>
+    <pathelement location="${maven.repo.local}/org/ow2/asm/asm-commons/4.0/asm-commons-4.0.jar"/>
+    <pathelement location="${maven.repo.local}/org/ow2/asm/asm-tree/4.0/asm-tree-4.0.jar"/>
+    <pathelement location="${maven.repo.local}/org/ow2/asm/asm-analysis/4.0/asm-analysis-4.0.jar"/>
+    <pathelement location="${maven.repo.local}/org/ow2/asm/asm-util/4.0/asm-util-4.0.jar"/>
+    <pathelement location="${maven.repo.local}/org/jruby/joni/joni/2.1.1/joni-2.1.1.jar"/>
+    <pathelement location="${maven.repo.local}/com/github/jnr/jnr-netdb/1.1.2/jnr-netdb-1.1.2.jar"/>
+    <pathelement location="${maven.repo.local}/com/github/jnr/jnr-enxio/0.4/jnr-enxio-0.4.jar"/>
+    <pathelement location="${maven.repo.local}/com/github/jnr/jnr-x86asm/1.0.2/jnr-x86asm-1.0.2.jar"/>
+    <pathelement location="${maven.repo.local}/com/github/jnr/jnr-unixsocket/0.3/jnr-unixsocket-0.3.jar"/>
+    <pathelement location="${maven.repo.local}/com/github/jnr/jnr-posix/3.0.1/jnr-posix-3.0.1.jar"/>
+    <pathelement location="${maven.repo.local}/org/jruby/extras/bytelist/1.0.11/bytelist-1.0.11.jar"/>
+    <pathelement location="${maven.repo.local}/com/github/jnr/jnr-constants/0.8.5/jnr-constants-0.8.5.jar"/>
+    <pathelement location="${maven.repo.local}/org/jruby/jcodings/jcodings/1.0.10/jcodings-1.0.10.jar"/>
+    <pathelement location="${maven.repo.local}/com/github/jnr/jnr-ffi/1.0.7/jnr-ffi-1.0.7.jar"/>
+    <pathelement location="${maven.repo.local}/com/github/jnr/jffi/1.2.7/jffi-1.2.7.jar"/>
+    <pathelement location="${maven.repo.local}/com/github/jnr/jffi/1.2.7/jffi-1.2.7-native.jar"/>
+    <pathelement location="${maven.repo.local}/org/yaml/snakeyaml/1.13/snakeyaml-1.13.jar"/>
+    <pathelement location="${maven.repo.local}/com/jcraft/jzlib/1.1.2/jzlib-1.1.2.jar"/>
+    <pathelement location="${maven.repo.local}/com/headius/invokebinder/1.2/invokebinder-1.2.jar"/>
+    <pathelement location="${maven.repo.local}/com/martiansoftware/nailgun-server/0.9.1/nailgun-server-0.9.1.jar"/>
+    <pathelement location="${maven.repo.local}/org/jruby/yecht/1.0/yecht-1.0.jar"/>
+    <pathelement location="${maven.repo.local}/joda-time/joda-time/2.3/joda-time-2.3.jar"/>
+    <pathelement location="${maven.repo.local}/com/headius/options/1.1/options-1.1.jar"/>
+    <pathelement location="${jruby.basedir}/../../core/target/jruby-core-GENTOO_JRUY_VER.jar"/>
+  </path>
+
+  <!-- ====================================================================== -->
+  <!-- Cleaning up target                                                     -->
+  <!-- ====================================================================== -->
+
+  <target name="clean" description="Clean the output directory">
+    <delete dir="${maven.build.dir}"/>
+  </target>
+
+  <!-- ====================================================================== -->
+  <!-- Compilation target                                                     -->
+  <!-- ====================================================================== -->
+
+  <target name="compile" depends="get-deps" description="Compile the code">
+    <mkdir dir="${maven.build.outputDir}"/>
+    <javac destdir="${maven.build.outputDir}" 
+           encoding="utf-8" 
+           nowarn="true" 
+           debug="true" 
+           optimize="false" 
+           deprecation="true" 
+           target="1.6" 
+           verbose="true" 
+           fork="true" 
+           source="1.6">
+      <src>
+        <pathelement location="${maven.build.srcDir.0}"/>
+      </src>
+      <classpath refid="build.classpath"/>
+    </javac>
+  </target>
+
+  <!-- ====================================================================== -->
+  <!-- Test-compilation target                                                -->
+  <!-- ====================================================================== -->
+
+  <target name="compile-tests" 
+          depends="compile" 
+          description="Compile the test code" 
+          unless="maven.test.skip">
+    <mkdir dir="${maven.build.testOutputDir}"/>
+  </target>
+
+  <!-- ====================================================================== -->
+  <!-- Run all tests                                                          -->
+  <!-- ====================================================================== -->
+
+  <target name="test" 
+          depends="compile-tests, junit-missing" 
+          unless="junit.skipped" 
+          description="Run the test cases"/>
+
+  <target name="test-junit-present">
+    <available classname="junit.framework.Test" property="junit.present"/>
+  </target>
+
+  <target name="test-junit-status" 
+          depends="test-junit-present">
+    <condition property="junit.missing">
+      <and>
+        <isfalse value="${junit.present}"/>
+        <isfalse value="${maven.test.skip}"/>
+      </and>
+    </condition>
+    <condition property="junit.skipped">
+      <or>
+        <isfalse value="${junit.present}"/>
+        <istrue value="${maven.test.skip}"/>
+      </or>
+    </condition>
+  </target>
+
+  <target name="junit-missing" 
+          depends="test-junit-status" 
+          if="junit.missing">
+    <echo>=================================== WARNING ===================================</echo>
+    <echo> JUnit is not present in your $ANT_HOME/lib directory. Tests not executed.</echo>
+    <echo>===============================================================================</echo>
+  </target>
+
+  <!-- ====================================================================== -->
+  <!-- Javadoc target                                                         -->
+  <!-- ====================================================================== -->
+
+  <target name="javadoc" description="Generates the Javadoc of the application">
+    <javadoc sourcepath="${maven.build.srcDir.0}" 
+             packagenames="*" 
+             destdir="${maven.reporting.outputDirectory}/apidocs" 
+             access="package" 
+             old="false" 
+             verbose="false" 
+             version="true" 
+             use="true" 
+             author="true" 
+             splitindex="false" 
+             nodeprecated="false" 
+             nodeprecatedlist="false" 
+             notree="false" 
+             noindex="false" 
+             nohelp="false" 
+             nonavbar="false" 
+             serialwarn="false" 
+             charset="ISO-8859-1" 
+             linksource="false" 
+             breakiterator="false" 
+             maxmemory="1g"/>
+  </target>
+
+  <!-- ====================================================================== -->
+  <!-- Package target                                                         -->
+  <!-- ====================================================================== -->
+
+  <target name="package" depends="compile,test" description="Package the application">
+    <jar jarfile="${maven.build.dir}/${maven.build.finalName}.jar" 
+         compress="true" 
+         index="false" 
+         basedir="${maven.build.outputDir}" 
+         excludes="**/package.html"/>
+  </target>
+
+  <!-- ====================================================================== -->
+  <!-- A dummy target for the package named after the type it creates         -->
+  <!-- ====================================================================== -->
+
+  <target name="jar" depends="package" description="Builds the jar for the application"/>
+
+  <!-- ====================================================================== -->
+  <!-- Download dependencies target                                           -->
+  <!-- ====================================================================== -->
+
+  <target name="test-offline">
+    <condition property="maven.mode.offline">
+      <equals arg1="${maven.settings.offline}" arg2="true"/>
+    </condition>
+  </target>
+
+  <target name="get-deps" 
+          depends="test-offline" 
+          description="Download all dependencies" 
+          unless="maven.mode.offline">
+    <mkdir dir="${maven.repo.local}"/>
+    <mkdir dir="${maven.repo.local}/junit/junit/4.11"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//junit/junit/4.11/junit-4.11.jar" 
+         dest="${maven.repo.local}/junit/junit/4.11/junit-4.11.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/junit/junit/4.11/junit-4.11.jar" 
+         dest="${maven.repo.local}/junit/junit/4.11/junit-4.11.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/junit/junit/4.11/junit-4.11.jar" 
+         dest="${maven.repo.local}/junit/junit/4.11/junit-4.11.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/org/hamcrest/hamcrest-core/1.3"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//org/hamcrest/hamcrest-core/1.3/hamcrest-core-1.3.jar" 
+         dest="${maven.repo.local}/org/hamcrest/hamcrest-core/1.3/hamcrest-core-1.3.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/org/hamcrest/hamcrest-core/1.3/hamcrest-core-1.3.jar" 
+         dest="${maven.repo.local}/org/hamcrest/hamcrest-core/1.3/hamcrest-core-1.3.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/org/hamcrest/hamcrest-core/1.3/hamcrest-core-1.3.jar" 
+         dest="${maven.repo.local}/org/hamcrest/hamcrest-core/1.3/hamcrest-core-1.3.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/org/jruby/jruby-core/1.7.12"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//org/jruby/jruby-core/1.7.12/jruby-core-1.7.12.jar" 
+         dest="${maven.repo.local}/org/jruby/jruby-core/1.7.12/jruby-core-1.7.12.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/org/jruby/jruby-core/1.7.12/jruby-core-1.7.12.jar" 
+         dest="${maven.repo.local}/org/jruby/jruby-core/1.7.12/jruby-core-1.7.12.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/org/jruby/jruby-core/1.7.12/jruby-core-1.7.12.jar" 
+         dest="${maven.repo.local}/org/jruby/jruby-core/1.7.12/jruby-core-1.7.12.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/org/ow2/asm/asm/4.0"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//org/ow2/asm/asm/4.0/asm-4.0.jar" 
+         dest="${maven.repo.local}/org/ow2/asm/asm/4.0/asm-4.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/org/ow2/asm/asm/4.0/asm-4.0.jar" 
+         dest="${maven.repo.local}/org/ow2/asm/asm/4.0/asm-4.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/org/ow2/asm/asm/4.0/asm-4.0.jar" 
+         dest="${maven.repo.local}/org/ow2/asm/asm/4.0/asm-4.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/org/ow2/asm/asm-commons/4.0"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//org/ow2/asm/asm-commons/4.0/asm-commons-4.0.jar" 
+         dest="${maven.repo.local}/org/ow2/asm/asm-commons/4.0/asm-commons-4.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/org/ow2/asm/asm-commons/4.0/asm-commons-4.0.jar" 
+         dest="${maven.repo.local}/org/ow2/asm/asm-commons/4.0/asm-commons-4.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/org/ow2/asm/asm-commons/4.0/asm-commons-4.0.jar" 
+         dest="${maven.repo.local}/org/ow2/asm/asm-commons/4.0/asm-commons-4.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/org/ow2/asm/asm-tree/4.0"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//org/ow2/asm/asm-tree/4.0/asm-tree-4.0.jar" 
+         dest="${maven.repo.local}/org/ow2/asm/asm-tree/4.0/asm-tree-4.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/org/ow2/asm/asm-tree/4.0/asm-tree-4.0.jar" 
+         dest="${maven.repo.local}/org/ow2/asm/asm-tree/4.0/asm-tree-4.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/org/ow2/asm/asm-tree/4.0/asm-tree-4.0.jar" 
+         dest="${maven.repo.local}/org/ow2/asm/asm-tree/4.0/asm-tree-4.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/org/ow2/asm/asm-analysis/4.0"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//org/ow2/asm/asm-analysis/4.0/asm-analysis-4.0.jar" 
+         dest="${maven.repo.local}/org/ow2/asm/asm-analysis/4.0/asm-analysis-4.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/org/ow2/asm/asm-analysis/4.0/asm-analysis-4.0.jar" 
+         dest="${maven.repo.local}/org/ow2/asm/asm-analysis/4.0/asm-analysis-4.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/org/ow2/asm/asm-analysis/4.0/asm-analysis-4.0.jar" 
+         dest="${maven.repo.local}/org/ow2/asm/asm-analysis/4.0/asm-analysis-4.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/org/ow2/asm/asm-util/4.0"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//org/ow2/asm/asm-util/4.0/asm-util-4.0.jar" 
+         dest="${maven.repo.local}/org/ow2/asm/asm-util/4.0/asm-util-4.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/org/ow2/asm/asm-util/4.0/asm-util-4.0.jar" 
+         dest="${maven.repo.local}/org/ow2/asm/asm-util/4.0/asm-util-4.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/org/ow2/asm/asm-util/4.0/asm-util-4.0.jar" 
+         dest="${maven.repo.local}/org/ow2/asm/asm-util/4.0/asm-util-4.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/org/jruby/joni/joni/2.1.1"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//org/jruby/joni/joni/2.1.1/joni-2.1.1.jar" 
+         dest="${maven.repo.local}/org/jruby/joni/joni/2.1.1/joni-2.1.1.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/org/jruby/joni/joni/2.1.1/joni-2.1.1.jar" 
+         dest="${maven.repo.local}/org/jruby/joni/joni/2.1.1/joni-2.1.1.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/org/jruby/joni/joni/2.1.1/joni-2.1.1.jar" 
+         dest="${maven.repo.local}/org/jruby/joni/joni/2.1.1/joni-2.1.1.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/com/github/jnr/jnr-netdb/1.1.2"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//com/github/jnr/jnr-netdb/1.1.2/jnr-netdb-1.1.2.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-netdb/1.1.2/jnr-netdb-1.1.2.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/com/github/jnr/jnr-netdb/1.1.2/jnr-netdb-1.1.2.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-netdb/1.1.2/jnr-netdb-1.1.2.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/com/github/jnr/jnr-netdb/1.1.2/jnr-netdb-1.1.2.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-netdb/1.1.2/jnr-netdb-1.1.2.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/com/github/jnr/jnr-enxio/0.4"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//com/github/jnr/jnr-enxio/0.4/jnr-enxio-0.4.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-enxio/0.4/jnr-enxio-0.4.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/com/github/jnr/jnr-enxio/0.4/jnr-enxio-0.4.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-enxio/0.4/jnr-enxio-0.4.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/com/github/jnr/jnr-enxio/0.4/jnr-enxio-0.4.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-enxio/0.4/jnr-enxio-0.4.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/com/github/jnr/jnr-x86asm/1.0.2"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//com/github/jnr/jnr-x86asm/1.0.2/jnr-x86asm-1.0.2.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-x86asm/1.0.2/jnr-x86asm-1.0.2.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/com/github/jnr/jnr-x86asm/1.0.2/jnr-x86asm-1.0.2.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-x86asm/1.0.2/jnr-x86asm-1.0.2.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/com/github/jnr/jnr-x86asm/1.0.2/jnr-x86asm-1.0.2.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-x86asm/1.0.2/jnr-x86asm-1.0.2.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/com/github/jnr/jnr-unixsocket/0.3"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//com/github/jnr/jnr-unixsocket/0.3/jnr-unixsocket-0.3.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-unixsocket/0.3/jnr-unixsocket-0.3.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/com/github/jnr/jnr-unixsocket/0.3/jnr-unixsocket-0.3.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-unixsocket/0.3/jnr-unixsocket-0.3.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/com/github/jnr/jnr-unixsocket/0.3/jnr-unixsocket-0.3.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-unixsocket/0.3/jnr-unixsocket-0.3.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/com/github/jnr/jnr-posix/3.0.1"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//com/github/jnr/jnr-posix/3.0.1/jnr-posix-3.0.1.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-posix/3.0.1/jnr-posix-3.0.1.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/com/github/jnr/jnr-posix/3.0.1/jnr-posix-3.0.1.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-posix/3.0.1/jnr-posix-3.0.1.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/com/github/jnr/jnr-posix/3.0.1/jnr-posix-3.0.1.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-posix/3.0.1/jnr-posix-3.0.1.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/org/jruby/extras/bytelist/1.0.11"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//org/jruby/extras/bytelist/1.0.11/bytelist-1.0.11.jar" 
+         dest="${maven.repo.local}/org/jruby/extras/bytelist/1.0.11/bytelist-1.0.11.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/org/jruby/extras/bytelist/1.0.11/bytelist-1.0.11.jar" 
+         dest="${maven.repo.local}/org/jruby/extras/bytelist/1.0.11/bytelist-1.0.11.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/org/jruby/extras/bytelist/1.0.11/bytelist-1.0.11.jar" 
+         dest="${maven.repo.local}/org/jruby/extras/bytelist/1.0.11/bytelist-1.0.11.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/com/github/jnr/jnr-constants/0.8.5"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//com/github/jnr/jnr-constants/0.8.5/jnr-constants-0.8.5.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-constants/0.8.5/jnr-constants-0.8.5.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/com/github/jnr/jnr-constants/0.8.5/jnr-constants-0.8.5.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-constants/0.8.5/jnr-constants-0.8.5.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/com/github/jnr/jnr-constants/0.8.5/jnr-constants-0.8.5.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-constants/0.8.5/jnr-constants-0.8.5.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/org/jruby/jcodings/jcodings/1.0.10"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//org/jruby/jcodings/jcodings/1.0.10/jcodings-1.0.10.jar" 
+         dest="${maven.repo.local}/org/jruby/jcodings/jcodings/1.0.10/jcodings-1.0.10.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/org/jruby/jcodings/jcodings/1.0.10/jcodings-1.0.10.jar" 
+         dest="${maven.repo.local}/org/jruby/jcodings/jcodings/1.0.10/jcodings-1.0.10.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/org/jruby/jcodings/jcodings/1.0.10/jcodings-1.0.10.jar" 
+         dest="${maven.repo.local}/org/jruby/jcodings/jcodings/1.0.10/jcodings-1.0.10.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/com/github/jnr/jnr-ffi/1.0.7"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//com/github/jnr/jnr-ffi/1.0.7/jnr-ffi-1.0.7.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-ffi/1.0.7/jnr-ffi-1.0.7.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/com/github/jnr/jnr-ffi/1.0.7/jnr-ffi-1.0.7.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-ffi/1.0.7/jnr-ffi-1.0.7.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/com/github/jnr/jnr-ffi/1.0.7/jnr-ffi-1.0.7.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jnr-ffi/1.0.7/jnr-ffi-1.0.7.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/com/github/jnr/jffi/1.2.7"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//com/github/jnr/jffi/1.2.7/jffi-1.2.7.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jffi/1.2.7/jffi-1.2.7.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/com/github/jnr/jffi/1.2.7/jffi-1.2.7.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jffi/1.2.7/jffi-1.2.7.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/com/github/jnr/jffi/1.2.7/jffi-1.2.7.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jffi/1.2.7/jffi-1.2.7.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/com/github/jnr/jffi/1.2.7"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//com/github/jnr/jffi/1.2.7/jffi-1.2.7-native.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jffi/1.2.7/jffi-1.2.7-native.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/com/github/jnr/jffi/1.2.7/jffi-1.2.7-native.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jffi/1.2.7/jffi-1.2.7-native.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/com/github/jnr/jffi/1.2.7/jffi-1.2.7-native.jar" 
+         dest="${maven.repo.local}/com/github/jnr/jffi/1.2.7/jffi-1.2.7-native.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/org/yaml/snakeyaml/1.13"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//org/yaml/snakeyaml/1.13/snakeyaml-1.13.jar" 
+         dest="${maven.repo.local}/org/yaml/snakeyaml/1.13/snakeyaml-1.13.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/org/yaml/snakeyaml/1.13/snakeyaml-1.13.jar" 
+         dest="${maven.repo.local}/org/yaml/snakeyaml/1.13/snakeyaml-1.13.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/org/yaml/snakeyaml/1.13/snakeyaml-1.13.jar" 
+         dest="${maven.repo.local}/org/yaml/snakeyaml/1.13/snakeyaml-1.13.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/com/jcraft/jzlib/1.1.2"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//com/jcraft/jzlib/1.1.2/jzlib-1.1.2.jar" 
+         dest="${maven.repo.local}/com/jcraft/jzlib/1.1.2/jzlib-1.1.2.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/com/jcraft/jzlib/1.1.2/jzlib-1.1.2.jar" 
+         dest="${maven.repo.local}/com/jcraft/jzlib/1.1.2/jzlib-1.1.2.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/com/jcraft/jzlib/1.1.2/jzlib-1.1.2.jar" 
+         dest="${maven.repo.local}/com/jcraft/jzlib/1.1.2/jzlib-1.1.2.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/com/headius/invokebinder/1.2"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//com/headius/invokebinder/1.2/invokebinder-1.2.jar" 
+         dest="${maven.repo.local}/com/headius/invokebinder/1.2/invokebinder-1.2.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/com/headius/invokebinder/1.2/invokebinder-1.2.jar" 
+         dest="${maven.repo.local}/com/headius/invokebinder/1.2/invokebinder-1.2.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/com/headius/invokebinder/1.2/invokebinder-1.2.jar" 
+         dest="${maven.repo.local}/com/headius/invokebinder/1.2/invokebinder-1.2.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/com/martiansoftware/nailgun-server/0.9.1"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//com/martiansoftware/nailgun-server/0.9.1/nailgun-server-0.9.1.jar" 
+         dest="${maven.repo.local}/com/martiansoftware/nailgun-server/0.9.1/nailgun-server-0.9.1.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/com/martiansoftware/nailgun-server/0.9.1/nailgun-server-0.9.1.jar" 
+         dest="${maven.repo.local}/com/martiansoftware/nailgun-server/0.9.1/nailgun-server-0.9.1.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/com/martiansoftware/nailgun-server/0.9.1/nailgun-server-0.9.1.jar" 
+         dest="${maven.repo.local}/com/martiansoftware/nailgun-server/0.9.1/nailgun-server-0.9.1.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/org/jruby/yecht/1.0"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//org/jruby/yecht/1.0/yecht-1.0.jar" 
+         dest="${maven.repo.local}/org/jruby/yecht/1.0/yecht-1.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/org/jruby/yecht/1.0/yecht-1.0.jar" 
+         dest="${maven.repo.local}/org/jruby/yecht/1.0/yecht-1.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/org/jruby/yecht/1.0/yecht-1.0.jar" 
+         dest="${maven.repo.local}/org/jruby/yecht/1.0/yecht-1.0.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/joda-time/joda-time/2.3"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//joda-time/joda-time/2.3/joda-time-2.3.jar" 
+         dest="${maven.repo.local}/joda-time/joda-time/2.3/joda-time-2.3.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/joda-time/joda-time/2.3/joda-time-2.3.jar" 
+         dest="${maven.repo.local}/joda-time/joda-time/2.3/joda-time-2.3.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/joda-time/joda-time/2.3/joda-time-2.3.jar" 
+         dest="${maven.repo.local}/joda-time/joda-time/2.3/joda-time-2.3.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <mkdir dir="${maven.repo.local}/com/headius/options/1.1"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots//com/headius/options/1.1/options-1.1.jar" 
+         dest="${maven.repo.local}/com/headius/options/1.1/options-1.1.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="https://oss.sonatype.org/content/repositories/snapshots/com/headius/options/1.1/options-1.1.jar" 
+         dest="${maven.repo.local}/com/headius/options/1.1/options-1.1.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+    <get src="http://repo.maven.apache.org/maven2/com/headius/options/1.1/options-1.1.jar" 
+         dest="${maven.repo.local}/com/headius/options/1.1/options-1.1.jar" 
+         usetimestamp="false" 
+         ignoreerrors="true"/>
+  </target>
+
+</project>
--- /dev/null
+++ b/lib/build.xml
@@ -0,0 +1,23 @@
+<?xml version="1.0" encoding="UTF-8"?>
+
+<!-- ====================================================================== -->
+<!-- Ant build file (http://ant.apache.org/) for Ant 1.6.2 or above.        -->
+<!-- ====================================================================== -->
+
+<project name="jruby-lib" default="package" basedir=".">
+
+  <!-- ====================================================================== -->
+  <!-- Import maven-build.xml into the current project                        -->
+  <!-- ====================================================================== -->
+
+  <import file="maven-build.xml"/>
+  
+  <!-- ====================================================================== -->
+  <!-- Help target                                                            -->
+  <!-- ====================================================================== -->
+
+  <target name="help">
+    <echo message="Please run: $ant -projecthelp"/>
+  </target>
+
+</project>
--- /dev/null
+++ b/lib/maven-build.xml
@@ -0,0 +1,56 @@
+<?xml version="1.0" encoding="UTF-8"?>
+
+<!-- ====================================================================== -->
+<!-- Ant build file (http://ant.apache.org/) for Ant 1.6.2 or above.        -->
+<!-- ====================================================================== -->
+
+<!-- ====================================================================== -->
+<!-- ===================== - DO NOT EDIT THIS FILE! - ===================== -->
+<!-- ====================================================================== -->
+<!--                                                                        -->
+<!-- Any modifications will be overwritten.                                 -->
+<!--                                                                        -->
+<!-- Generated by Maven Ant Plugin on 4/21/14 11:39 PM                      -->
+<!-- See: http://maven.apache.org/plugins/maven-ant-plugin/                 -->
+<!--                                                                        -->
+<!-- ====================================================================== -->
+
+<project name="jruby-lib-from-maven" default="package" basedir=".">
+
+  <!-- ====================================================================== -->
+  <!-- Cleaning up target                                                     -->
+  <!-- ====================================================================== -->
+
+  <target name="clean" description="Clean the output directory"/>
+
+  <!-- ====================================================================== -->
+  <!-- Compilation target                                                     -->
+  <!-- ====================================================================== -->
+
+  <target name="compile" description="Compile the code"/>
+
+  <!-- ====================================================================== -->
+  <!-- Test-compilation target                                                -->
+  <!-- ====================================================================== -->
+
+  <target name="compile-tests" description="Compile the test code"/>
+
+  <!-- ====================================================================== -->
+  <!-- Run all tests                                                          -->
+  <!-- ====================================================================== -->
+
+  <target name="test" description="Run the test cases"/>
+
+  <!-- ====================================================================== -->
+  <!-- Javadoc target                                                         -->
+  <!-- ====================================================================== -->
+
+  <target name="javadoc" description="Generates the Javadoc of the application"/>
+
+  <!-- ====================================================================== -->
+  <!-- Package target                                                         -->
+  <!-- ====================================================================== -->
+
+  <target name="package" description="Package the application"/>
+
+</project>
--- /dev/null
+++ b/maven-build.xml
@@ -0,0 +1,80 @@
+<?xml version="1.0" encoding="UTF-8"?>
+
+<!-- ====================================================================== -->
+<!-- Ant build file (http://ant.apache.org/) for Ant 1.6.2 or above.        -->
+<!-- ====================================================================== -->
+
+<!-- ====================================================================== -->
+<!-- ===================== - DO NOT EDIT THIS FILE! - ===================== -->
+<!-- ====================================================================== -->
+<!--                                                                        -->
+<!-- Any modifications will be overwritten.                                 -->
+<!--                                                                        -->
+<!-- Generated by Maven Ant Plugin on 4/21/14 11:39 PM                      -->
+<!-- See: http://maven.apache.org/plugins/maven-ant-plugin/                 -->
+<!--                                                                        -->
+<!-- ====================================================================== -->
+
+<project name="jruby-parent-from-maven" default="package" basedir=".">
+
+  <!-- ====================================================================== -->
+  <!-- Cleaning up target                                                     -->
+  <!-- ====================================================================== -->
+
+  <target name="clean" description="Clean the output directory">
+    <ant antfile="build.xml" dir="core" target="clean"/>
+    <ant antfile="build.xml" dir="ext" target="clean"/>
+    <ant antfile="build.xml" dir="lib" target="clean"/>
+  </target>
+
+  <!-- ====================================================================== -->
+  <!-- Compilation target                                                     -->
+  <!-- ====================================================================== -->
+
+  <target name="compile" description="Compile the code">
+    <ant antfile="build.xml" dir="core" target="compile"/>
+    <ant antfile="build.xml" dir="ext" target="compile"/>
+    <ant antfile="build.xml" dir="lib" target="compile"/>
+  </target>
+
+  <!-- ====================================================================== -->
+  <!-- Test-compilation target                                                -->
+  <!-- ====================================================================== -->
+
+  <target name="compile-tests" description="Compile the test code">
+    <ant antfile="build.xml" dir="core" target="compile-tests"/>
+    <ant antfile="build.xml" dir="ext" target="compile-tests"/>
+    <ant antfile="build.xml" dir="lib" target="compile-tests"/>
+  </target>
+
+  <!-- ====================================================================== -->
+  <!-- Run all tests                                                          -->
+  <!-- ====================================================================== -->
+
+  <target name="test" description="Run the test cases">
+    <ant antfile="build.xml" dir="core" target="test"/>
+    <ant antfile="build.xml" dir="ext" target="test"/>
+    <ant antfile="build.xml" dir="lib" target="test"/>
+  </target>
+
+  <!-- ====================================================================== -->
+  <!-- Javadoc target                                                         -->
+  <!-- ====================================================================== -->
+
+  <target name="javadoc" description="Generates the Javadoc of the application">
+    <ant antfile="build.xml" dir="core" target="javadoc"/>
+    <ant antfile="build.xml" dir="ext" target="javadoc"/>
+    <ant antfile="build.xml" dir="lib" target="javadoc"/>
+  </target>
+
+  <!-- ====================================================================== -->
+  <!-- Package target                                                         -->
+  <!-- ====================================================================== -->
+
+  <target name="package" description="Package the application">
+    <ant antfile="build.xml" dir="core" target="package"/>
+    <ant antfile="build.xml" dir="ext" target="package"/>
+    <ant antfile="build.xml" dir="lib" target="package"/>
+  </target>
+
+</project>
-- 
1.9.2

